#include <vxWorks.h>
#include <semLib.h>
#include "ellLib.h"
#include "fast_lock.h"
#include "link.h"
#include "tsDefs.h"
#ifndef INCA128CH
#define INCA128CH
typedef struct A128CRecord {
	char		name[29]; /*Record Name*/
	char		desc[29]; /*Descriptor*/
	char		asg[29]; /*Access Security Group*/
	unsigned short	scan;	/*Scan Mechanism*/
	unsigned short	pini;	/*Process at iocInit*/
	short		phas;	/*Scan Phase*/
	short		evnt;	/*Event Number*/
	short		tse;	/*Time Stamp Event*/
	DBLINK		tsel;	/*Time Stamp Link*/
	unsigned short	dtyp;	/*Device Type*/
	short		disv;	/*Disable Value*/
	short		disa;	/*Disable*/
	DBLINK		sdis;	/*Scanning Disable*/
	FAST_LOCK	mlok;	/*Monitor fastlock*/
	ELLLIST		mlis;	/*Monitor List*/
	unsigned char	disp;	/*Disable putField*/
	unsigned char	proc;	/*Force Processing*/
	unsigned short	stat;	/*Alarm Status*/
	unsigned short	sevr;	/*Alarm Severity*/
	unsigned short	nsta;	/*New Alarm Status*/
	unsigned short	nsev;	/*New Alarm Severity*/
	unsigned short	acks;	/*Alarm Ack Severity*/
	unsigned short	ackt;	/*Alarm Ack Transient*/
	unsigned short	diss;	/*Disable Alarm Sevrty*/
	unsigned char	lcnt;	/*Lock Count*/
	unsigned char	pact;	/*Record active*/
	unsigned char	putf;	/*dbPutField process*/
	unsigned char	rpro;	/*Reprocess */
	void		*asp;	/*Access Security Pvt*/
	struct putNotify *ppn;	/*addr of PUTNOTIFY*/
	struct pnWaitNode *ppnn;	/*next record PUTNOTIFY*/
	struct scan_element *spvt;	/*Scan Private*/
	struct rset	*rset;	/*Address of RSET*/
	struct dset	*dset;	/*DSET address*/
	void		*dpvt;	/*Device Private*/
	struct dbRecordType *rdes;	/*Address of dbRecordType*/
	struct lockRecord *lset;	/*Lock Set*/
	unsigned short	prio;	/*Scheduling Priority*/
	unsigned char	tpro;	/*Trace Processing*/
	char bkpt;	/*Break Point*/
	unsigned char	udf;	/*Undefined*/
	TS_STAMP	time;	/*Time*/
	DBLINK		flnk;	/*Forward Process Link*/
	unsigned short	val;	/*Command*/
	short		ladr;	/*Ladder Number*/
	short		adrs;	/*Ladder Address*/
	char		byps[100]; /*Chip Soft Bypass*/
	char		hbyp[100]; /*Chip Hard Bypass*/
	short		jini;	/*Jtag Init*/
	DBLINK		outi;	/*Output Init Link*/
	char		omap[150]; /*Jtag Map Output*/
	char		dmap[128]; /*Default Jtag Map*/
	char		bdir[64]; /*Bias Directory*/
	char		bfil[32]; /*Bias File*/
	unsigned char	puls;	/*Pulse Level*/
	unsigned short	chan;	/*Pulse Channel*/
	unsigned short	spac;	/*Spacing*/
	unsigned short	tran;	/*Transparent Channel*/
	unsigned long	jclk;	/*JTAG Clock Frequency*/
	short		lsta;	/*Latchup Status*/
	unsigned short	psta;	/*Power Status*/
	unsigned char	bsta;	/*Bias Status*/
	unsigned short	bals;	/*Bias Alarm Severity*/
	unsigned short	hyby;	/*Hybrid Bypass*/
	unsigned short	fbia;	/*Force Bias*/
	unsigned short	lahy;	/*Latchup Hybrid*/
	unsigned short	lals;	/*Latchup Alrm Severity*/
	unsigned short	jfhy;	/*JTAG Fail Hybrid*/
	unsigned short	jals;	/*Jtag Alarm Severity*/
	char		hych[16]; /*Hybrid Chip Offset*/
	char		hmap[16]; /*Hybrid Map Output*/
	unsigned short	hynb;	/*Hybrid Number*/
	short		cnxb;	/*Connexion Board ?*/
	char		hm0[9]; /*Hybrid 0 Map Output*/
	char		hm1[9]; /*Hybrid 1 Map Output*/
	char		hm2[9]; /*Hybrid 2 Map Output*/
	char		hm3[9]; /*Hybrid 3 Map Output*/
	char		hm4[9]; /*Hybrid 4 Map Output*/
	char		hm5[9]; /*Hybrid 5 Map Output*/
	char		hm6[9]; /*Hybrid 6 Map Output*/
	char		hm7[9]; /*Hybrid 7 Map Output*/
	char		hm8[9]; /*Hybrid 8 Map Output*/
	char		hm9[9]; /*Hybrid 9 Map Output*/
	char		hm10[9]; /*Hybrid 10 Map Output*/
	char		hm11[9]; /*Hybrid 11 Map Output*/
	char		hm12[9]; /*Hybrid 12 Map Output*/
	char		hm13[9]; /*Hybrid 13 Map Output*/
	char		hm14[9]; /*Hybrid 14 Map Output*/
	char		hm15[9]; /*Hybrid 15 Map Output*/
	unsigned char	cxid;	/*Connexion ID*/
	unsigned char	vref;	/*Latchup level*/
	unsigned short	tmp1;	/*Temperature 1*/
	unsigned short	tmp2;	/*Temperature 2*/
	unsigned short	tmp3;	/*Temperature 3*/
} A128CRecord;
#define A128CRecordNAME	0
#define A128CRecordDESC	1
#define A128CRecordASG	2
#define A128CRecordSCAN	3
#define A128CRecordPINI	4
#define A128CRecordPHAS	5
#define A128CRecordEVNT	6
#define A128CRecordTSE	7
#define A128CRecordTSEL	8
#define A128CRecordDTYP	9
#define A128CRecordDISV	10
#define A128CRecordDISA	11
#define A128CRecordSDIS	12
#define A128CRecordMLOK	13
#define A128CRecordMLIS	14
#define A128CRecordDISP	15
#define A128CRecordPROC	16
#define A128CRecordSTAT	17
#define A128CRecordSEVR	18
#define A128CRecordNSTA	19
#define A128CRecordNSEV	20
#define A128CRecordACKS	21
#define A128CRecordACKT	22
#define A128CRecordDISS	23
#define A128CRecordLCNT	24
#define A128CRecordPACT	25
#define A128CRecordPUTF	26
#define A128CRecordRPRO	27
#define A128CRecordASP	28
#define A128CRecordPPN	29
#define A128CRecordPPNN	30
#define A128CRecordSPVT	31
#define A128CRecordRSET	32
#define A128CRecordDSET	33
#define A128CRecordDPVT	34
#define A128CRecordRDES	35
#define A128CRecordLSET	36
#define A128CRecordPRIO	37
#define A128CRecordTPRO	38
#define A128CRecordBKPT	39
#define A128CRecordUDF	40
#define A128CRecordTIME	41
#define A128CRecordFLNK	42
#define A128CRecordVAL	43
#define A128CRecordLADR	44
#define A128CRecordADRS	45
#define A128CRecordBYPS	46
#define A128CRecordHBYP	47
#define A128CRecordJINI	48
#define A128CRecordOUTI	49
#define A128CRecordOMAP	50
#define A128CRecordDMAP	51
#define A128CRecordBDIR	52
#define A128CRecordBFIL	53
#define A128CRecordPULS	54
#define A128CRecordCHAN	55
#define A128CRecordSPAC	56
#define A128CRecordTRAN	57
#define A128CRecordJCLK	58
#define A128CRecordLSTA	59
#define A128CRecordPSTA	60
#define A128CRecordBSTA	61
#define A128CRecordBALS	62
#define A128CRecordHYBY	63
#define A128CRecordFBIA	64
#define A128CRecordLAHY	65
#define A128CRecordLALS	66
#define A128CRecordJFHY	67
#define A128CRecordJALS	68
#define A128CRecordHYCH	69
#define A128CRecordHMAP	70
#define A128CRecordHYNB	71
#define A128CRecordCNXB	72
#define A128CRecordHM0	73
#define A128CRecordHM1	74
#define A128CRecordHM2	75
#define A128CRecordHM3	76
#define A128CRecordHM4	77
#define A128CRecordHM5	78
#define A128CRecordHM6	79
#define A128CRecordHM7	80
#define A128CRecordHM8	81
#define A128CRecordHM9	82
#define A128CRecordHM10	83
#define A128CRecordHM11	84
#define A128CRecordHM12	85
#define A128CRecordHM13	86
#define A128CRecordHM14	87
#define A128CRecordHM15	88
#define A128CRecordCXID	89
#define A128CRecordVREF	90
#define A128CRecordTMP1	91
#define A128CRecordTMP2	92
#define A128CRecordTMP3	93
#endif /*INCA128CH*/
#ifdef GEN_SIZE_OFFSET
int A128CRecordSizeOffset(dbRecordType *pdbRecordType)
{
    A128CRecord *prec = 0;
  pdbRecordType->papFldDes[0]->size=sizeof(prec->name);
  pdbRecordType->papFldDes[0]->offset=(short)((char *)&prec->name - (char *)prec);
  pdbRecordType->papFldDes[1]->size=sizeof(prec->desc);
  pdbRecordType->papFldDes[1]->offset=(short)((char *)&prec->desc - (char *)prec);
  pdbRecordType->papFldDes[2]->size=sizeof(prec->asg);
  pdbRecordType->papFldDes[2]->offset=(short)((char *)&prec->asg - (char *)prec);
  pdbRecordType->papFldDes[3]->size=sizeof(prec->scan);
  pdbRecordType->papFldDes[3]->offset=(short)((char *)&prec->scan - (char *)prec);
  pdbRecordType->papFldDes[4]->size=sizeof(prec->pini);
  pdbRecordType->papFldDes[4]->offset=(short)((char *)&prec->pini - (char *)prec);
  pdbRecordType->papFldDes[5]->size=sizeof(prec->phas);
  pdbRecordType->papFldDes[5]->offset=(short)((char *)&prec->phas - (char *)prec);
  pdbRecordType->papFldDes[6]->size=sizeof(prec->evnt);
  pdbRecordType->papFldDes[6]->offset=(short)((char *)&prec->evnt - (char *)prec);
  pdbRecordType->papFldDes[7]->size=sizeof(prec->tse);
  pdbRecordType->papFldDes[7]->offset=(short)((char *)&prec->tse - (char *)prec);
  pdbRecordType->papFldDes[8]->size=sizeof(prec->tsel);
  pdbRecordType->papFldDes[8]->offset=(short)((char *)&prec->tsel - (char *)prec);
  pdbRecordType->papFldDes[9]->size=sizeof(prec->dtyp);
  pdbRecordType->papFldDes[9]->offset=(short)((char *)&prec->dtyp - (char *)prec);
  pdbRecordType->papFldDes[10]->size=sizeof(prec->disv);
  pdbRecordType->papFldDes[10]->offset=(short)((char *)&prec->disv - (char *)prec);
  pdbRecordType->papFldDes[11]->size=sizeof(prec->disa);
  pdbRecordType->papFldDes[11]->offset=(short)((char *)&prec->disa - (char *)prec);
  pdbRecordType->papFldDes[12]->size=sizeof(prec->sdis);
  pdbRecordType->papFldDes[12]->offset=(short)((char *)&prec->sdis - (char *)prec);
  pdbRecordType->papFldDes[13]->size=sizeof(prec->mlok);
  pdbRecordType->papFldDes[13]->offset=(short)((char *)&prec->mlok - (char *)prec);
  pdbRecordType->papFldDes[14]->size=sizeof(prec->mlis);
  pdbRecordType->papFldDes[14]->offset=(short)((char *)&prec->mlis - (char *)prec);
  pdbRecordType->papFldDes[15]->size=sizeof(prec->disp);
  pdbRecordType->papFldDes[15]->offset=(short)((char *)&prec->disp - (char *)prec);
  pdbRecordType->papFldDes[16]->size=sizeof(prec->proc);
  pdbRecordType->papFldDes[16]->offset=(short)((char *)&prec->proc - (char *)prec);
  pdbRecordType->papFldDes[17]->size=sizeof(prec->stat);
  pdbRecordType->papFldDes[17]->offset=(short)((char *)&prec->stat - (char *)prec);
  pdbRecordType->papFldDes[18]->size=sizeof(prec->sevr);
  pdbRecordType->papFldDes[18]->offset=(short)((char *)&prec->sevr - (char *)prec);
  pdbRecordType->papFldDes[19]->size=sizeof(prec->nsta);
  pdbRecordType->papFldDes[19]->offset=(short)((char *)&prec->nsta - (char *)prec);
  pdbRecordType->papFldDes[20]->size=sizeof(prec->nsev);
  pdbRecordType->papFldDes[20]->offset=(short)((char *)&prec->nsev - (char *)prec);
  pdbRecordType->papFldDes[21]->size=sizeof(prec->acks);
  pdbRecordType->papFldDes[21]->offset=(short)((char *)&prec->acks - (char *)prec);
  pdbRecordType->papFldDes[22]->size=sizeof(prec->ackt);
  pdbRecordType->papFldDes[22]->offset=(short)((char *)&prec->ackt - (char *)prec);
  pdbRecordType->papFldDes[23]->size=sizeof(prec->diss);
  pdbRecordType->papFldDes[23]->offset=(short)((char *)&prec->diss - (char *)prec);
  pdbRecordType->papFldDes[24]->size=sizeof(prec->lcnt);
  pdbRecordType->papFldDes[24]->offset=(short)((char *)&prec->lcnt - (char *)prec);
  pdbRecordType->papFldDes[25]->size=sizeof(prec->pact);
  pdbRecordType->papFldDes[25]->offset=(short)((char *)&prec->pact - (char *)prec);
  pdbRecordType->papFldDes[26]->size=sizeof(prec->putf);
  pdbRecordType->papFldDes[26]->offset=(short)((char *)&prec->putf - (char *)prec);
  pdbRecordType->papFldDes[27]->size=sizeof(prec->rpro);
  pdbRecordType->papFldDes[27]->offset=(short)((char *)&prec->rpro - (char *)prec);
  pdbRecordType->papFldDes[28]->size=sizeof(prec->asp);
  pdbRecordType->papFldDes[28]->offset=(short)((char *)&prec->asp - (char *)prec);
  pdbRecordType->papFldDes[29]->size=sizeof(prec->ppn);
  pdbRecordType->papFldDes[29]->offset=(short)((char *)&prec->ppn - (char *)prec);
  pdbRecordType->papFldDes[30]->size=sizeof(prec->ppnn);
  pdbRecordType->papFldDes[30]->offset=(short)((char *)&prec->ppnn - (char *)prec);
  pdbRecordType->papFldDes[31]->size=sizeof(prec->spvt);
  pdbRecordType->papFldDes[31]->offset=(short)((char *)&prec->spvt - (char *)prec);
  pdbRecordType->papFldDes[32]->size=sizeof(prec->rset);
  pdbRecordType->papFldDes[32]->offset=(short)((char *)&prec->rset - (char *)prec);
  pdbRecordType->papFldDes[33]->size=sizeof(prec->dset);
  pdbRecordType->papFldDes[33]->offset=(short)((char *)&prec->dset - (char *)prec);
  pdbRecordType->papFldDes[34]->size=sizeof(prec->dpvt);
  pdbRecordType->papFldDes[34]->offset=(short)((char *)&prec->dpvt - (char *)prec);
  pdbRecordType->papFldDes[35]->size=sizeof(prec->rdes);
  pdbRecordType->papFldDes[35]->offset=(short)((char *)&prec->rdes - (char *)prec);
  pdbRecordType->papFldDes[36]->size=sizeof(prec->lset);
  pdbRecordType->papFldDes[36]->offset=(short)((char *)&prec->lset - (char *)prec);
  pdbRecordType->papFldDes[37]->size=sizeof(prec->prio);
  pdbRecordType->papFldDes[37]->offset=(short)((char *)&prec->prio - (char *)prec);
  pdbRecordType->papFldDes[38]->size=sizeof(prec->tpro);
  pdbRecordType->papFldDes[38]->offset=(short)((char *)&prec->tpro - (char *)prec);
  pdbRecordType->papFldDes[39]->size=sizeof(prec->bkpt);
  pdbRecordType->papFldDes[39]->offset=(short)((char *)&prec->bkpt - (char *)prec);
  pdbRecordType->papFldDes[40]->size=sizeof(prec->udf);
  pdbRecordType->papFldDes[40]->offset=(short)((char *)&prec->udf - (char *)prec);
  pdbRecordType->papFldDes[41]->size=sizeof(prec->time);
  pdbRecordType->papFldDes[41]->offset=(short)((char *)&prec->time - (char *)prec);
  pdbRecordType->papFldDes[42]->size=sizeof(prec->flnk);
  pdbRecordType->papFldDes[42]->offset=(short)((char *)&prec->flnk - (char *)prec);
  pdbRecordType->papFldDes[43]->size=sizeof(prec->val);
  pdbRecordType->papFldDes[43]->offset=(short)((char *)&prec->val - (char *)prec);
  pdbRecordType->papFldDes[44]->size=sizeof(prec->ladr);
  pdbRecordType->papFldDes[44]->offset=(short)((char *)&prec->ladr - (char *)prec);
  pdbRecordType->papFldDes[45]->size=sizeof(prec->adrs);
  pdbRecordType->papFldDes[45]->offset=(short)((char *)&prec->adrs - (char *)prec);
  pdbRecordType->papFldDes[46]->size=sizeof(prec->byps);
  pdbRecordType->papFldDes[46]->offset=(short)((char *)&prec->byps - (char *)prec);
  pdbRecordType->papFldDes[47]->size=sizeof(prec->hbyp);
  pdbRecordType->papFldDes[47]->offset=(short)((char *)&prec->hbyp - (char *)prec);
  pdbRecordType->papFldDes[48]->size=sizeof(prec->jini);
  pdbRecordType->papFldDes[48]->offset=(short)((char *)&prec->jini - (char *)prec);
  pdbRecordType->papFldDes[49]->size=sizeof(prec->outi);
  pdbRecordType->papFldDes[49]->offset=(short)((char *)&prec->outi - (char *)prec);
  pdbRecordType->papFldDes[50]->size=sizeof(prec->omap);
  pdbRecordType->papFldDes[50]->offset=(short)((char *)&prec->omap - (char *)prec);
  pdbRecordType->papFldDes[51]->size=sizeof(prec->dmap);
  pdbRecordType->papFldDes[51]->offset=(short)((char *)&prec->dmap - (char *)prec);
  pdbRecordType->papFldDes[52]->size=sizeof(prec->bdir);
  pdbRecordType->papFldDes[52]->offset=(short)((char *)&prec->bdir - (char *)prec);
  pdbRecordType->papFldDes[53]->size=sizeof(prec->bfil);
  pdbRecordType->papFldDes[53]->offset=(short)((char *)&prec->bfil - (char *)prec);
  pdbRecordType->papFldDes[54]->size=sizeof(prec->puls);
  pdbRecordType->papFldDes[54]->offset=(short)((char *)&prec->puls - (char *)prec);
  pdbRecordType->papFldDes[55]->size=sizeof(prec->chan);
  pdbRecordType->papFldDes[55]->offset=(short)((char *)&prec->chan - (char *)prec);
  pdbRecordType->papFldDes[56]->size=sizeof(prec->spac);
  pdbRecordType->papFldDes[56]->offset=(short)((char *)&prec->spac - (char *)prec);
  pdbRecordType->papFldDes[57]->size=sizeof(prec->tran);
  pdbRecordType->papFldDes[57]->offset=(short)((char *)&prec->tran - (char *)prec);
  pdbRecordType->papFldDes[58]->size=sizeof(prec->jclk);
  pdbRecordType->papFldDes[58]->offset=(short)((char *)&prec->jclk - (char *)prec);
  pdbRecordType->papFldDes[59]->size=sizeof(prec->lsta);
  pdbRecordType->papFldDes[59]->offset=(short)((char *)&prec->lsta - (char *)prec);
  pdbRecordType->papFldDes[60]->size=sizeof(prec->psta);
  pdbRecordType->papFldDes[60]->offset=(short)((char *)&prec->psta - (char *)prec);
  pdbRecordType->papFldDes[61]->size=sizeof(prec->bsta);
  pdbRecordType->papFldDes[61]->offset=(short)((char *)&prec->bsta - (char *)prec);
  pdbRecordType->papFldDes[62]->size=sizeof(prec->bals);
  pdbRecordType->papFldDes[62]->offset=(short)((char *)&prec->bals - (char *)prec);
  pdbRecordType->papFldDes[63]->size=sizeof(prec->hyby);
  pdbRecordType->papFldDes[63]->offset=(short)((char *)&prec->hyby - (char *)prec);
  pdbRecordType->papFldDes[64]->size=sizeof(prec->fbia);
  pdbRecordType->papFldDes[64]->offset=(short)((char *)&prec->fbia - (char *)prec);
  pdbRecordType->papFldDes[65]->size=sizeof(prec->lahy);
  pdbRecordType->papFldDes[65]->offset=(short)((char *)&prec->lahy - (char *)prec);
  pdbRecordType->papFldDes[66]->size=sizeof(prec->lals);
  pdbRecordType->papFldDes[66]->offset=(short)((char *)&prec->lals - (char *)prec);
  pdbRecordType->papFldDes[67]->size=sizeof(prec->jfhy);
  pdbRecordType->papFldDes[67]->offset=(short)((char *)&prec->jfhy - (char *)prec);
  pdbRecordType->papFldDes[68]->size=sizeof(prec->jals);
  pdbRecordType->papFldDes[68]->offset=(short)((char *)&prec->jals - (char *)prec);
  pdbRecordType->papFldDes[69]->size=sizeof(prec->hych);
  pdbRecordType->papFldDes[69]->offset=(short)((char *)&prec->hych - (char *)prec);
  pdbRecordType->papFldDes[70]->size=sizeof(prec->hmap);
  pdbRecordType->papFldDes[70]->offset=(short)((char *)&prec->hmap - (char *)prec);
  pdbRecordType->papFldDes[71]->size=sizeof(prec->hynb);
  pdbRecordType->papFldDes[71]->offset=(short)((char *)&prec->hynb - (char *)prec);
  pdbRecordType->papFldDes[72]->size=sizeof(prec->cnxb);
  pdbRecordType->papFldDes[72]->offset=(short)((char *)&prec->cnxb - (char *)prec);
  pdbRecordType->papFldDes[73]->size=sizeof(prec->hm0);
  pdbRecordType->papFldDes[73]->offset=(short)((char *)&prec->hm0 - (char *)prec);
  pdbRecordType->papFldDes[74]->size=sizeof(prec->hm1);
  pdbRecordType->papFldDes[74]->offset=(short)((char *)&prec->hm1 - (char *)prec);
  pdbRecordType->papFldDes[75]->size=sizeof(prec->hm2);
  pdbRecordType->papFldDes[75]->offset=(short)((char *)&prec->hm2 - (char *)prec);
  pdbRecordType->papFldDes[76]->size=sizeof(prec->hm3);
  pdbRecordType->papFldDes[76]->offset=(short)((char *)&prec->hm3 - (char *)prec);
  pdbRecordType->papFldDes[77]->size=sizeof(prec->hm4);
  pdbRecordType->papFldDes[77]->offset=(short)((char *)&prec->hm4 - (char *)prec);
  pdbRecordType->papFldDes[78]->size=sizeof(prec->hm5);
  pdbRecordType->papFldDes[78]->offset=(short)((char *)&prec->hm5 - (char *)prec);
  pdbRecordType->papFldDes[79]->size=sizeof(prec->hm6);
  pdbRecordType->papFldDes[79]->offset=(short)((char *)&prec->hm6 - (char *)prec);
  pdbRecordType->papFldDes[80]->size=sizeof(prec->hm7);
  pdbRecordType->papFldDes[80]->offset=(short)((char *)&prec->hm7 - (char *)prec);
  pdbRecordType->papFldDes[81]->size=sizeof(prec->hm8);
  pdbRecordType->papFldDes[81]->offset=(short)((char *)&prec->hm8 - (char *)prec);
  pdbRecordType->papFldDes[82]->size=sizeof(prec->hm9);
  pdbRecordType->papFldDes[82]->offset=(short)((char *)&prec->hm9 - (char *)prec);
  pdbRecordType->papFldDes[83]->size=sizeof(prec->hm10);
  pdbRecordType->papFldDes[83]->offset=(short)((char *)&prec->hm10 - (char *)prec);
  pdbRecordType->papFldDes[84]->size=sizeof(prec->hm11);
  pdbRecordType->papFldDes[84]->offset=(short)((char *)&prec->hm11 - (char *)prec);
  pdbRecordType->papFldDes[85]->size=sizeof(prec->hm12);
  pdbRecordType->papFldDes[85]->offset=(short)((char *)&prec->hm12 - (char *)prec);
  pdbRecordType->papFldDes[86]->size=sizeof(prec->hm13);
  pdbRecordType->papFldDes[86]->offset=(short)((char *)&prec->hm13 - (char *)prec);
  pdbRecordType->papFldDes[87]->size=sizeof(prec->hm14);
  pdbRecordType->papFldDes[87]->offset=(short)((char *)&prec->hm14 - (char *)prec);
  pdbRecordType->papFldDes[88]->size=sizeof(prec->hm15);
  pdbRecordType->papFldDes[88]->offset=(short)((char *)&prec->hm15 - (char *)prec);
  pdbRecordType->papFldDes[89]->size=sizeof(prec->cxid);
  pdbRecordType->papFldDes[89]->offset=(short)((char *)&prec->cxid - (char *)prec);
  pdbRecordType->papFldDes[90]->size=sizeof(prec->vref);
  pdbRecordType->papFldDes[90]->offset=(short)((char *)&prec->vref - (char *)prec);
  pdbRecordType->papFldDes[91]->size=sizeof(prec->tmp1);
  pdbRecordType->papFldDes[91]->offset=(short)((char *)&prec->tmp1 - (char *)prec);
  pdbRecordType->papFldDes[92]->size=sizeof(prec->tmp2);
  pdbRecordType->papFldDes[92]->offset=(short)((char *)&prec->tmp2 - (char *)prec);
  pdbRecordType->papFldDes[93]->size=sizeof(prec->tmp3);
  pdbRecordType->papFldDes[93]->offset=(short)((char *)&prec->tmp3 - (char *)prec);
    pdbRecordType->rec_size = sizeof(*prec);
    return(0);
}
#endif /*GEN_SIZE_OFFSET*/
