/* @(#)SNC/SEQ Version 1.9.2.Beta12 : Thu Sep  1 10:05:25 2005: ssd_ladder.i */


/* Event flags */
/* Program "ssd_ladder" */
#define ANSI
#include "seqCom.h"

#define NUM_SS 1
#define NUM_CHANNELS 10
#define NUM_EVENTS 0
#define MAX_STRING_SIZE 40
#define ASYNC_OPT FALSE
#define CONN_OPT TRUE
#define DEBUG_OPT FALSE
#define REENT_OPT TRUE


extern struct seqProgram ssd_ladder;

/* Variable declarations */
struct UserVar {
	int	ladder;
	int	power;
	float	current;
	float	limit;
	int	controlMode;
	short	jtag;
	short	refresh;
	short	cancel;
	int	init_state;
	int	readout_state;
};
/* Code for state "init" in state set "ladder_control" */

/* Delay function for state "init" in state set "ladder_control" */
static void D_ladder_control_init(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 53 "../ssd_ladder.st"
# line 59 "../ssd_ladder.st"
# line 65 "../ssd_ladder.st"
# line 71 "../ssd_ladder.st"
}

/* Event function for state "init" in state set "ladder_control" */
static long E_ladder_control_init(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 53 "../ssd_ladder.st"
	if (((pVar->readout_state) == 4) && (pVar->power) && ((pVar->init_state) == 0) && ((pVar->ladder) != 10))
	{
		*pNextState = 1;
		*pTransNum = 0;
		return TRUE;
	}
# line 59 "../ssd_ladder.st"
	if ((pVar->jtag) && (pVar->init_state))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 65 "../ssd_ladder.st"
	if ((pVar->refresh) && (pVar->init_state))
	{
		*pNextState = 0;
		*pTransNum = 2;
		return TRUE;
	}
# line 71 "../ssd_ladder.st"
	if ((((pVar->init_state) == 11) || ((pVar->init_state) == 12)) && (((pVar->readout_state) == 4) || ((pVar->readout_state) == 8)))
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "init" in state set "ladder_control" */
static void A_ladder_control_init(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 49 "../ssd_ladder.st"
		(pVar->init_state) = 2;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 1;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 57 "../ssd_ladder.st"
		(pVar->init_state) = 0;
		seq_pvPut(ssId, 8) 
;
		return;
	case 2:
# line 63 "../ssd_ladder.st"
		(pVar->init_state) = 0;
		seq_pvPut(ssId, 8) 
;
		return;
	case 3:
# line 69 "../ssd_ladder.st"
		(pVar->readout_state) = 0;
		seq_pvPut(ssId, 9) 
;
		return;
	}
}
/* Code for state "test1" in state set "ladder_control" */

/* Delay function for state "test1" in state set "ladder_control" */
static void D_ladder_control_test1(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 83 "../ssd_ladder.st"
# line 89 "../ssd_ladder.st"
# line 93 "../ssd_ladder.st"
# line 99 "../ssd_ladder.st"
# line 105 "../ssd_ladder.st"
}

/* Event function for state "test1" in state set "ladder_control" */
static long E_ladder_control_test1(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 83 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 89 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 93 "../ssd_ladder.st"
	if (!(pVar->ladder))
	{
		*pNextState = 4;
		*pTransNum = 2;
		return TRUE;
	}
# line 99 "../ssd_ladder.st"
	if ((pVar->ladder) == 3)
	{
		*pNextState = 2;
		*pTransNum = 3;
		return TRUE;
	}
# line 105 "../ssd_ladder.st"
	if ((pVar->ladder) == 10)
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "test1" in state set "ladder_control" */
static void A_ladder_control_test1(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 79 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 87 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		return;
	case 2:
		return;
	case 3:
# line 97 "../ssd_ladder.st"
		(pVar->ladder) = 1;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
# line 103 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		return;
	}
}
/* Code for state "test2" in state set "ladder_control" */

/* Delay function for state "test2" in state set "ladder_control" */
static void D_ladder_control_test2(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 117 "../ssd_ladder.st"
# line 123 "../ssd_ladder.st"
# line 127 "../ssd_ladder.st"
# line 133 "../ssd_ladder.st"
# line 137 "../ssd_ladder.st"
}

/* Event function for state "test2" in state set "ladder_control" */
static long E_ladder_control_test2(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 117 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 123 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 127 "../ssd_ladder.st"
	if (!(pVar->ladder))
	{
		*pNextState = 4;
		*pTransNum = 2;
		return TRUE;
	}
# line 133 "../ssd_ladder.st"
	if ((pVar->ladder) == 3)
	{
		*pNextState = 3;
		*pTransNum = 3;
		return TRUE;
	}
# line 137 "../ssd_ladder.st"
	if ((pVar->ladder) == 10)
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "test2" in state set "ladder_control" */
static void A_ladder_control_test2(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 113 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 121 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		return;
	case 2:
		return;
	case 3:
# line 131 "../ssd_ladder.st"
		(pVar->ladder) = 1;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
		return;
	}
}
/* Code for state "test3" in state set "ladder_control" */

/* Delay function for state "test3" in state set "ladder_control" */
static void D_ladder_control_test3(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 149 "../ssd_ladder.st"
# line 155 "../ssd_ladder.st"
# line 159 "../ssd_ladder.st"
# line 165 "../ssd_ladder.st"
# line 169 "../ssd_ladder.st"
}

/* Event function for state "test3" in state set "ladder_control" */
static long E_ladder_control_test3(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 149 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 155 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 159 "../ssd_ladder.st"
	if (!(pVar->ladder))
	{
		*pNextState = 4;
		*pTransNum = 2;
		return TRUE;
	}
# line 165 "../ssd_ladder.st"
	if ((pVar->ladder) == 3)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 169 "../ssd_ladder.st"
	if ((pVar->ladder) == 10)
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "test3" in state set "ladder_control" */
static void A_ladder_control_test3(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 145 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 153 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		return;
	case 2:
		return;
	case 3:
# line 163 "../ssd_ladder.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 8) 
;
		return;
	case 4:
		return;
	}
}
/* Code for state "bias" in state set "ladder_control" */

/* Delay function for state "bias" in state set "ladder_control" */
static void D_ladder_control_bias(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 181 "../ssd_ladder.st"
# line 187 "../ssd_ladder.st"
# line 197 "../ssd_ladder.st"
# line 203 "../ssd_ladder.st"
# line 207 "../ssd_ladder.st"
}

/* Event function for state "bias" in state set "ladder_control" */
static long E_ladder_control_bias(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 181 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 187 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 197 "../ssd_ladder.st"
	if (!(pVar->ladder))
	{
		*pNextState = 5;
		*pTransNum = 2;
		return TRUE;
	}
# line 203 "../ssd_ladder.st"
	if ((pVar->ladder) == 3)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 207 "../ssd_ladder.st"
	if ((pVar->ladder) == 10)
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "bias" in state set "ladder_control" */
static void A_ladder_control_bias(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 177 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 185 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		return;
	case 2:
# line 191 "../ssd_ladder.st"
		(pVar->init_state) = 3;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 2;
		seq_pvPut(ssId, 0) 
;
		(pVar->limit) = 1.5;
		seq_pvPut(ssId, 3) 
;
		return;
	case 3:
# line 201 "../ssd_ladder.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 8) 
;
		return;
	case 4:
		return;
	}
}
/* Code for state "costar" in state set "ladder_control" */

/* Delay function for state "costar" in state set "ladder_control" */
static void D_ladder_control_costar(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 219 "../ssd_ladder.st"
# line 225 "../ssd_ladder.st"
# line 233 "../ssd_ladder.st"
# line 241 "../ssd_ladder.st"
# line 247 "../ssd_ladder.st"
# line 251 "../ssd_ladder.st"
}

/* Event function for state "costar" in state set "ladder_control" */
static long E_ladder_control_costar(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 219 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 225 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 233 "../ssd_ladder.st"
	if (!(pVar->ladder))
	{
		*pNextState = 6;
		*pTransNum = 2;
		return TRUE;
	}
# line 241 "../ssd_ladder.st"
	if ((pVar->ladder) == 1)
	{
		*pNextState = 4;
		*pTransNum = 3;
		return TRUE;
	}
# line 247 "../ssd_ladder.st"
	if ((pVar->ladder) == 3)
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
# line 251 "../ssd_ladder.st"
	if ((pVar->ladder) == 10)
	{
		*pNextState = 0;
		*pTransNum = 5;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "costar" in state set "ladder_control" */
static void A_ladder_control_costar(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 215 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 223 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		return;
	case 2:
# line 229 "../ssd_ladder.st"
		(pVar->init_state) = 4;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 7;
		seq_pvPut(ssId, 0) 
;
		return;
	case 3:
# line 237 "../ssd_ladder.st"
		(pVar->init_state) = 2;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 1;
		seq_pvPut(ssId, 0) 
;
		return;
	case 4:
# line 245 "../ssd_ladder.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 8) 
;
		return;
	case 5:
		return;
	}
}
/* Code for state "ready" in state set "ladder_control" */

/* Delay function for state "ready" in state set "ladder_control" */
static void D_ladder_control_ready(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 265 "../ssd_ladder.st"
# line 273 "../ssd_ladder.st"
# line 279 "../ssd_ladder.st"
# line 287 "../ssd_ladder.st"
# line 297 "../ssd_ladder.st"
# line 305 "../ssd_ladder.st"
# line 313 "../ssd_ladder.st"
# line 319 "../ssd_ladder.st"
# line 327 "../ssd_ladder.st"
# line 335 "../ssd_ladder.st"
}

/* Event function for state "ready" in state set "ladder_control" */
static long E_ladder_control_ready(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 265 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 273 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 279 "../ssd_ladder.st"
	if ((!(pVar->ladder)) && ((pVar->init_state) != 5))
	{
		*pNextState = 6;
		*pTransNum = 2;
		return TRUE;
	}
# line 287 "../ssd_ladder.st"
	if ((pVar->ladder) == 3)
	{
		*pNextState = 0;
		*pTransNum = 3;
		return TRUE;
	}
# line 297 "../ssd_ladder.st"
	if ((pVar->jtag))
	{
		*pNextState = 0;
		*pTransNum = 4;
		return TRUE;
	}
# line 305 "../ssd_ladder.st"
	if ((pVar->refresh) && !seq_pvSeverity(ssId, 2) 
)
	{
		*pNextState = 5;
		*pTransNum = 5;
		return TRUE;
	}
# line 313 "../ssd_ladder.st"
	if ((pVar->refresh) && seq_pvSeverity(ssId, 2) 
)
	{
		*pNextState = 4;
		*pTransNum = 6;
		return TRUE;
	}
# line 319 "../ssd_ladder.st"
	if ((pVar->controlMode) == 1)
	{
		*pNextState = 7;
		*pTransNum = 7;
		return TRUE;
	}
# line 327 "../ssd_ladder.st"
	if ((pVar->controlMode) == 2)
	{
		*pNextState = 9;
		*pTransNum = 8;
		return TRUE;
	}
# line 335 "../ssd_ladder.st"
	if ((pVar->controlMode) == 3)
	{
		*pNextState = 8;
		*pTransNum = 9;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "ready" in state set "ladder_control" */
static void A_ladder_control_ready(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 259 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 1:
# line 269 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 2:
# line 277 "../ssd_ladder.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 8) 
;
		return;
	case 3:
# line 283 "../ssd_ladder.st"
		(pVar->init_state) = 12;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 4:
# line 291 "../ssd_ladder.st"
		(pVar->init_state) = 1;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 0;
		seq_pvPut(ssId, 0) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 5:
# line 301 "../ssd_ladder.st"
		(pVar->init_state) = 6;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 6;
		seq_pvPut(ssId, 0) 
;
		return;
	case 6:
# line 309 "../ssd_ladder.st"
		(pVar->init_state) = 6;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 6;
		seq_pvPut(ssId, 0) 
;
		return;
	case 7:
# line 317 "../ssd_ladder.st"
		(pVar->init_state) = 8;
		seq_pvPut(ssId, 8) 
;
		return;
	case 8:
# line 323 "../ssd_ladder.st"
		(pVar->init_state) = 9;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 4;
		seq_pvPut(ssId, 0) 
;
		return;
	case 9:
# line 331 "../ssd_ladder.st"
		(pVar->init_state) = 4;
		seq_pvPut(ssId, 8) 
;
		(pVar->ladder) = 7;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "daq" in state set "ladder_control" */

/* Delay function for state "daq" in state set "ladder_control" */
static void D_ladder_control_daq(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 349 "../ssd_ladder.st"
# line 357 "../ssd_ladder.st"
# line 363 "../ssd_ladder.st"
}

/* Event function for state "daq" in state set "ladder_control" */
static long E_ladder_control_daq(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 349 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 357 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 363 "../ssd_ladder.st"
	if ((pVar->controlMode) == 0)
	{
		*pNextState = 6;
		*pTransNum = 2;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "daq" in state set "ladder_control" */
static void A_ladder_control_daq(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 343 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 353 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 2:
# line 361 "../ssd_ladder.st"
		(pVar->init_state) = 7;
		seq_pvPut(ssId, 8) 
;
		return;
	}
}
/* Code for state "monit" in state set "ladder_control" */

/* Delay function for state "monit" in state set "ladder_control" */
static void D_ladder_control_monit(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 377 "../ssd_ladder.st"
# line 385 "../ssd_ladder.st"
# line 391 "../ssd_ladder.st"
# line 397 "../ssd_ladder.st"
	seq_delayInit(ssId, 0, (30));
}

/* Event function for state "monit" in state set "ladder_control" */
static long E_ladder_control_monit(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 377 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 385 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 391 "../ssd_ladder.st"
	if ((pVar->controlMode) == 0)
	{
		*pNextState = 6;
		*pTransNum = 2;
		return TRUE;
	}
# line 397 "../ssd_ladder.st"
	if (seq_delay(ssId, 0))
	{
		*pNextState = 8;
		*pTransNum = 3;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "monit" in state set "ladder_control" */
static void A_ladder_control_monit(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 371 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 381 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 2:
# line 389 "../ssd_ladder.st"
		(pVar->init_state) = 7;
		seq_pvPut(ssId, 8) 
;
		return;
	case 3:
# line 395 "../ssd_ladder.st"
		(pVar->ladder) = 7;
		seq_pvPut(ssId, 0) 
;
		return;
	}
}
/* Code for state "goto_calib" in state set "ladder_control" */

/* Delay function for state "goto_calib" in state set "ladder_control" */
static void D_ladder_control_goto_calib(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 411 "../ssd_ladder.st"
# line 419 "../ssd_ladder.st"
# line 425 "../ssd_ladder.st"
}

/* Event function for state "goto_calib" in state set "ladder_control" */
static long E_ladder_control_goto_calib(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 411 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 419 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 425 "../ssd_ladder.st"
	if (!(pVar->ladder))
	{
		*pNextState = 10;
		*pTransNum = 2;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "goto_calib" in state set "ladder_control" */
static void A_ladder_control_goto_calib(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 405 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 415 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 2:
# line 423 "../ssd_ladder.st"
		(pVar->init_state) = 5;
		seq_pvPut(ssId, 8) 
;
		return;
	}
}
/* Code for state "calib" in state set "ladder_control" */

/* Delay function for state "calib" in state set "ladder_control" */
static void D_ladder_control_calib(ssId, pVar)
SS_ID	ssId;
struct UserVar	*pVar;
{
# line 438 "../ssd_ladder.st"
# line 446 "../ssd_ladder.st"
# line 452 "../ssd_ladder.st"
# line 458 "../ssd_ladder.st"
}

/* Event function for state "calib" in state set "ladder_control" */
static long E_ladder_control_calib(ssId, pVar, pTransNum, pNextState)
SS_ID	ssId;
struct UserVar	*pVar;
short	*pTransNum, *pNextState;
{
# line 438 "../ssd_ladder.st"
	if (!(pVar->power))
	{
		*pNextState = 0;
		*pTransNum = 0;
		return TRUE;
	}
# line 446 "../ssd_ladder.st"
	if ((pVar->cancel))
	{
		*pNextState = 0;
		*pTransNum = 1;
		return TRUE;
	}
# line 452 "../ssd_ladder.st"
	if ((pVar->controlMode) == 0)
	{
		*pNextState = 6;
		*pTransNum = 2;
		return TRUE;
	}
# line 458 "../ssd_ladder.st"
	if ((pVar->controlMode) == 1)
	{
		*pNextState = 7;
		*pTransNum = 3;
		return TRUE;
	}
	return FALSE;
}

/* Action function for state "calib" in state set "ladder_control" */
static void A_ladder_control_calib(ssId, pVar, transNum)
SS_ID	ssId;
struct UserVar	*pVar;
short	transNum;
{
	switch(transNum)
	{
	case 0:
# line 432 "../ssd_ladder.st"
		(pVar->init_state) = 11;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		(pVar->ladder) = 3;
		seq_pvPut(ssId, 0) 
;
		return;
	case 1:
# line 442 "../ssd_ladder.st"
		(pVar->init_state) = 10;
		seq_pvPut(ssId, 8) 
;
		(pVar->limit) = -0.1;
		seq_pvPut(ssId, 3) 
;
		return;
	case 2:
# line 450 "../ssd_ladder.st"
		(pVar->init_state) = 7;
		seq_pvPut(ssId, 8) 
;
		return;
	case 3:
# line 456 "../ssd_ladder.st"
		(pVar->init_state) = 8;
		seq_pvPut(ssId, 8) 
;
		return;
	}
}
/* Exit handler */
static void exit_handler(ssId, pVar)
int	ssId;
struct UserVar	*pVar;
{
}

/************************ Tables ***********************/

/* Database Blocks */
static struct seqChan seqChan[NUM_CHANNELS] = {
  {"ssd_lad{lad}_jtag", (void *)OFFSET(struct UserVar, ladder), "ladder", 
    "int", 1, 1, 0, 1},

  {"ssd_lad{lad}_power_status", (void *)OFFSET(struct UserVar, power), "power", 
    "int", 1, 2, 0, 1},

  {"ssd_lad{lad}_lv_current", (void *)OFFSET(struct UserVar, current), "current", 
    "float", 1, 3, 0, 1},

  {"ssd_lad{lad}_lv_limit", (void *)OFFSET(struct UserVar, limit), "limit", 
    "float", 1, 4, 0, 0},

  {"ssd_control_mode", (void *)OFFSET(struct UserVar, controlMode), "controlMode", 
    "int", 1, 5, 0, 1},

  {"ssd_main_jtag", (void *)OFFSET(struct UserVar, jtag), "jtag", 
    "short", 1, 6, 0, 1},

  {"ssd_main_costar", (void *)OFFSET(struct UserVar, refresh), "refresh", 
    "short", 1, 7, 0, 1},

  {"ssd_main_cancel", (void *)OFFSET(struct UserVar, cancel), "cancel", 
    "short", 1, 8, 0, 1},

  {"ssd_lad{lad}_state", (void *)OFFSET(struct UserVar, init_state), "init_state", 
    "int", 1, 9, 0, 0},

  {"ssd_q{sect}_state", (void *)OFFSET(struct UserVar, readout_state), "readout_state", 
    "int", 1, 10, 0, 1},

};

/* Event masks for state set ladder_control */
	/* Event mask for state init: */
static bitMask	EM_ladder_control_init[] = {
	0x000006c6,
};
	/* Event mask for state test1: */
static bitMask	EM_ladder_control_test1[] = {
	0x00000106,
};
	/* Event mask for state test2: */
static bitMask	EM_ladder_control_test2[] = {
	0x00000106,
};
	/* Event mask for state test3: */
static bitMask	EM_ladder_control_test3[] = {
	0x00000106,
};
	/* Event mask for state bias: */
static bitMask	EM_ladder_control_bias[] = {
	0x00000106,
};
	/* Event mask for state costar: */
static bitMask	EM_ladder_control_costar[] = {
	0x00000106,
};
	/* Event mask for state ready: */
static bitMask	EM_ladder_control_ready[] = {
	0x000003ee,
};
	/* Event mask for state daq: */
static bitMask	EM_ladder_control_daq[] = {
	0x00000124,
};
	/* Event mask for state monit: */
static bitMask	EM_ladder_control_monit[] = {
	0x00000124,
};
	/* Event mask for state goto_calib: */
static bitMask	EM_ladder_control_goto_calib[] = {
	0x00000106,
};
	/* Event mask for state calib: */
static bitMask	EM_ladder_control_calib[] = {
	0x00000124,
};

/* State Blocks */

static struct seqState state_ladder_control[] = {
	/* State "init" */ {
	/* state name */       "init",
	/* action function */ (ACTION_FUNC) A_ladder_control_init,
	/* event function */  (EVENT_FUNC) E_ladder_control_init,
	/* delay function */   (DELAY_FUNC) D_ladder_control_init,
	/* event mask array */ EM_ladder_control_init},

	/* State "test1" */ {
	/* state name */       "test1",
	/* action function */ (ACTION_FUNC) A_ladder_control_test1,
	/* event function */  (EVENT_FUNC) E_ladder_control_test1,
	/* delay function */   (DELAY_FUNC) D_ladder_control_test1,
	/* event mask array */ EM_ladder_control_test1},

	/* State "test2" */ {
	/* state name */       "test2",
	/* action function */ (ACTION_FUNC) A_ladder_control_test2,
	/* event function */  (EVENT_FUNC) E_ladder_control_test2,
	/* delay function */   (DELAY_FUNC) D_ladder_control_test2,
	/* event mask array */ EM_ladder_control_test2},

	/* State "test3" */ {
	/* state name */       "test3",
	/* action function */ (ACTION_FUNC) A_ladder_control_test3,
	/* event function */  (EVENT_FUNC) E_ladder_control_test3,
	/* delay function */   (DELAY_FUNC) D_ladder_control_test3,
	/* event mask array */ EM_ladder_control_test3},

	/* State "bias" */ {
	/* state name */       "bias",
	/* action function */ (ACTION_FUNC) A_ladder_control_bias,
	/* event function */  (EVENT_FUNC) E_ladder_control_bias,
	/* delay function */   (DELAY_FUNC) D_ladder_control_bias,
	/* event mask array */ EM_ladder_control_bias},

	/* State "costar" */ {
	/* state name */       "costar",
	/* action function */ (ACTION_FUNC) A_ladder_control_costar,
	/* event function */  (EVENT_FUNC) E_ladder_control_costar,
	/* delay function */   (DELAY_FUNC) D_ladder_control_costar,
	/* event mask array */ EM_ladder_control_costar},

	/* State "ready" */ {
	/* state name */       "ready",
	/* action function */ (ACTION_FUNC) A_ladder_control_ready,
	/* event function */  (EVENT_FUNC) E_ladder_control_ready,
	/* delay function */   (DELAY_FUNC) D_ladder_control_ready,
	/* event mask array */ EM_ladder_control_ready},

	/* State "daq" */ {
	/* state name */       "daq",
	/* action function */ (ACTION_FUNC) A_ladder_control_daq,
	/* event function */  (EVENT_FUNC) E_ladder_control_daq,
	/* delay function */   (DELAY_FUNC) D_ladder_control_daq,
	/* event mask array */ EM_ladder_control_daq},

	/* State "monit" */ {
	/* state name */       "monit",
	/* action function */ (ACTION_FUNC) A_ladder_control_monit,
	/* event function */  (EVENT_FUNC) E_ladder_control_monit,
	/* delay function */   (DELAY_FUNC) D_ladder_control_monit,
	/* event mask array */ EM_ladder_control_monit},

	/* State "goto_calib" */ {
	/* state name */       "goto_calib",
	/* action function */ (ACTION_FUNC) A_ladder_control_goto_calib,
	/* event function */  (EVENT_FUNC) E_ladder_control_goto_calib,
	/* delay function */   (DELAY_FUNC) D_ladder_control_goto_calib,
	/* event mask array */ EM_ladder_control_goto_calib},

	/* State "calib" */ {
	/* state name */       "calib",
	/* action function */ (ACTION_FUNC) A_ladder_control_calib,
	/* event function */  (EVENT_FUNC) E_ladder_control_calib,
	/* delay function */   (DELAY_FUNC) D_ladder_control_calib,
	/* event mask array */ EM_ladder_control_calib},


};

/* State Set Blocks */
static struct seqSS seqSS[NUM_SS] = {
	/* State set "ladder_control" */ {
	/* ss name */            "ladder_control",
	/* ptr to state block */ state_ladder_control,
	/* number of states */   11,
	/* error state */        -1},
};

/* Program parameter list */
static char prog_param[] = "";

/* State Program table (global) */
struct seqProgram ssd_ladder = {
	/* magic number */       940501,
	/* *name */              "ssd_ladder",
	/* *pChannels */         seqChan,
	/* numChans */           NUM_CHANNELS,
	/* *pSS */               seqSS,
	/* numSS */              NUM_SS,
	/* user variable size */ sizeof(struct UserVar),
	/* *pParams */           prog_param,
	/* numEvents */          NUM_EVENTS,
	/* encoded options */    (0 | OPT_CONN | OPT_NEWEF | OPT_REENT | OPT_VXWORKS),
	/* exit handler */      (EXIT_FUNC) exit_handler,
};
