# 1 "../ssd_readout.st"
program ssd_readout

option +r;  

int readout;
assign readout to "ssd_q{sect}_readout";
monitor readout;

int main_readout;
assign main_readout to "ssd_q1P_readout";
monitor main_readout;

int controlMode;
assign controlMode to "ssd_control_mode";
monitor controlMode;

short jtag;
assign jtag to "ssd_main_jtag";
monitor jtag;

short refresh;
assign refresh to "ssd_main_costar";
monitor refresh;

short cancel;
assign cancel to "ssd_main_cancel";
monitor cancel;

int init_state;
assign init_state to "ssd_q{sect}_state";
monitor init_state;

int lv_status;
assign lv_status to "ssd_lad1N_lv_status";
monitor lv_status;

ss readout_board
{
   state init
   {
      when(jtag&&(controlMode==0)&&(init_state!=11)&&(init_state!=5))
      {
	 init_state=1;  
	 pvPut(init_state);
	 readout=4;  
	 pvPut(readout);
      } state test_fpga

      when(jtag&&(controlMode==0)&&((init_state==11)||(init_state==5)))
      {
	 init_state=2;  
	 pvPut(init_state);
	 readout=6;  
	 pvPut(readout);
      } state test2_fpga
      
      when(jtag&&(controlMode!=0))
      {
	 init_state=9;  
	 pvPut(init_state);
      } state warning_init

      when((lv_status&64)&&(init_state!=5))  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when((!(lv_status&64))&&(init_state==5))  
      {
	 init_state=0;  
	 pvPut(init_state);
      } state init
   }

   state test_fpga
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(readout==5)  
      {
	 init_state=2;  
	 pvPut(init_state);
	 readout=6;  
	 pvPut(readout);
      } state test2_fpga
      
      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init
      
      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(readout==0)  
      {
	 init_state=3;  
	 pvPut(init_state);
      } state reset
   }
         
   state test2_fpga
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init
      
      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(readout==1)  
      {
	 init_state=12;  
	 pvPut(init_state);
      } state init
      
      when(readout==0)  
      {
	 init_state=3;  
	 pvPut(init_state);
	    
	 readout=4;  
	 pvPut(readout);
      } state get_version
   }

   state reset
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init
      
      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(readout==5)  
      {
	 init_state=12;  
	 pvPut(init_state);
      } state init
      
      when(readout==0)  
      {
	 readout=4;  
	 pvPut(readout);

      } state get_version
   }



   state get_version
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init
      
      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(readout==5)  
      {
	 init_state=12;  
	 pvPut(init_state);
      } state init
      
      when(readout==0)  
      {
	 readout=3;  
	 pvPut(readout);

      } state set_config
   }

   state set_config
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init
      
      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(readout==0)  
      {
	 readout=1;  
	 pvPut(readout);

      } state get_status
   }

   state get_status
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init
      
      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(readout==0)  
      {
	 init_state=4;  
	 pvPut(init_state);
	 readout=2;  
	 pvPut(readout);

      } state ready
   }

   state ready
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(main_readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
	 readout=7;  
	 pvPut(readout);
      } state init

      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init

      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when((jtag|refresh)&&!init_state) 
      {
	 init_state=2;  
	 pvPut(init_state);
	 readout=6;  
	 pvPut(readout);
      } state test2_fpga
      
      when((jtag|refresh)&&init_state) 
      {
	 init_state=3;  
	 pvPut(init_state);
	 readout=4;  
	 pvPut(readout);
      } state test_fpga
      

      when(controlMode==1)
      {
	 init_state=8;  
	 pvPut(init_state);
	 readout=5;  
	 pvPut(readout);
      } state daq  
      
 




   }      

   state daq
   {
      when(cancel) 
      {
	 init_state=10;  
	 pvPut(init_state);
      } state init
      
      when(main_readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
	 readout=7;  
	 pvPut(readout);
      } state init

      when(readout==9)  
      {
	 init_state=11;  
	 pvPut(init_state);
      } state init

      when(lv_status&64)  
      {
	 init_state=5;  
	 pvPut(init_state);
	 readout=9;  
	 pvPut(readout);
      } state init
      
      when(refresh||jtag) 
      {
	 init_state=9;  
	 pvPut(init_state);
	 readout=0;  
	 pvPut(readout);
      } state warning_daq
      
      when(controlMode==0)
      {
	 if(init_state==8){
	    init_state=7;  
	    pvPut(init_state);
         }
	 readout=4;  
	 pvPut(readout);
      } state ready      

      when(delay(5))
      {
	 readout=2;  
	 pvPut(readout);
      } state daq
      
   }


   state warning_init
   {
      when(delay(1))
      {
	 init_state=6;
	 pvPut(init_state);
      } state init      
   }

   state warning_daq
   {
      when(delay(1))
      {
	 init_state=8;
	 pvPut(init_state);
      } state daq      
   }

}
