/* jtagConnexion.h		Jtag FPGA connexion functions header 
 *
 *	Institut de Recherche Subatomique de Strasbourg
 *
 *	Author :	David Bonnet
 *	Date :		30/05/00
 *
 */
 
/* CONNEXION REGISTERS SIZE */

#define CX_IR_SZ	 5
#define CX_BYPASS_SZ 	 1
#define CX_IDENT_SZ 	 8
#define CX_LATCHUP_SZ 	 1
#define CX_STATUS_SZ 	 16
#define CX_VREF_SZ 	 2
#define CX_POWER_SZ 	 16
#define CX_HYB_BYP_SZ 	 16
#define CX_TOKENOUT_SZ 	 1
#define CX_MUX_SZ 	 160
#define CX_TEMP_START_SZ 1
#define CX_TEMP_SZ       36

/* FPGA Connexion commands */

#define CX_BYPASS		0x1F
#define CX_IDENT		0x1B
#define CX_LATCHUP		0x06
#define CX_STATUS		0x07
#define CX_VREF			0x08
#define CX_POWER		0x09
#define CX_HYB_BYP		0x0B
#define CX_TOKENOUT		0x0C
#define CX_MUX			0x05
#define CX_TEMP_START           0x0D
#define CX_TEMP                 0x0E

unsigned short  map_connexion_nb(chip *map);
unsigned long   send_one_connexion(unsigned long, unsigned short, unsigned long, unsigned short,chip *);
unsigned short  get_power_status_connexion(chip *);
unsigned short  set_power_connexion(unsigned short, chip *);
unsigned char   get_latchup_connexion(chip *);
unsigned char   set_vref_connexion(unsigned char, chip *);
unsigned short  set_bypass_connexion(unsigned short, chip *);
unsigned char   get_id_connexion(chip *);
void 		set_input_mux_connexion(unsigned short *data,chip *map);
void            get_temperature_connexion(unsigned short temp[3],chip *map);
