/* jtagReadout.h		Jtag FPGA Readout Board functions header 
 *
 *	Institut de Recherche Subatomique de Strasbourg
 *
 *	Author :	David Bonnet
 *	Date :		15/06/01
 *
 */
 
/* READOUT REGISTERS SIZE */

#define RD_IR_SZ	5
#define RD_BYPASS_SZ 	1
#define RD_IDENT_SZ 	8
#define RD_VERSION_SZ 	48
#define RD_CONFIG_SZ 	40
#define RD_STATUS_SZ 	16
#define RD_TEMP1_SZ 	24
#define RD_TEMP2_SZ 	46
/* #define RD_OPTIC_SZ 	? To be defined */
#define RD_LATCHUP_SZ 	8
#define RD_CHAIN_SZ 	2
#define RD_NB_EVENT_SZ 	48
#define RD_OPTIC_VAR_SZ 48
#define RD_OPTIC_FAB_SZ	64
#define RD_DAQ_STATUS_SZ 40
#define RD_PEDESTAL_SZ	20
#define RD_ADJUST_SZ	8

/* FPGA Readout commands */

#define RD_BYPASS	0x1F
#define RD_IDENT	0x1B
#define RD_VERSION 	0x0C
#define RD_CONFIG 	0x0B
#define RD_STATUS 	0x09
#define RD_TEMP1 	0x08
#define RD_TEMP2 	0x0A
#define RD_NUM_CONFIG 	0x0D
#define RD_LATCHUP	0x07
#define RD_CHAIN 	0x06
#define RD_NB_EVENT 	0x03
#define RD_OPTIC_VAR	0x04
#define RD_OPTIC_FAB	0x05
#define RD_DAQ_STATUS	0x02
#define RD_PEDESTAL	0x0E
#define RD_ADJUST	0x12

#define ASYN_READOUT_TASK_PRIORITY 205
#define ASYN_READOUT_TASK_STACK 10000

unsigned long   send_one_readout(unsigned long, unsigned short, unsigned long, unsigned short,chip *);
unsigned long   get_one_readout(unsigned long ,unsigned short ,unsigned short ,chip *);
void		get_version_readout(unsigned short *,chip *);
unsigned int    set_config_readout(unsigned int, unsigned int, chip *);
unsigned short  get_status_readout(chip *);
unsigned char   get_latchup_readout(chip *);
unsigned char   set_chain_readout(unsigned char, chip *);
unsigned long   set_pedestal_readout(unsigned long data,chip *map);
unsigned char set_adjust_readout(unsigned char data,chip *map);
