program ssd_main

int i;
int v;
int prog=0;

int readout[4];
assign readout to {"ssd_q1P_readout","ssd_q1N_readout","ssd_q2P_readout","ssd_q2N_readout"};
monitor readout;

int command[20];
assign command to {"ssd_lad19P_jtag","ssd_lad20P_jtag","ssd_lad1P_jtag",
"ssd_lad2P_jtag","ssd_lad3P_jtag","ssd_lad9P_jtag","ssd_lad10P_jtag",
"ssd_lad11P_jtag","ssd_lad12P_jtag","ssd_lad13P_jtag",
"ssd_lad19N_jtag","ssd_lad20N_jtag","ssd_lad1N_jtag",
"ssd_lad2N_jtag","ssd_lad3N_jtag","ssd_lad9N_jtag","ssd_lad10N_jtag",
"ssd_lad11N_jtag","ssd_lad12N_jtag","ssd_lad13N_jtag"};
monitor command;

int init_state;
assign init_state to "ssd_init_state";

int controlMode;
assign controlMode to "ssd_control_mode";
monitor controlMode;

short jtag;
assign jtag to "ssd_main_jtag";
monitor jtag;

short cost;
assign cost to "ssd_main_costar";
monitor cost;
  	
ss readout_board
{
   state init
   {
      when(jtag)
      {
	 init_state=1;
	 prog=0;
	 pvPut(init_state);
	 for(i=0;i<4;i++)
	 {
	    readout[i]=4; /* CONTROL (Readout Board)*/
	    pvPut(readout[i]);
         }
       } state init0
   }
   state init0
   {
      when((readout[0]==5)&&(readout[1]==5)&&(readout[2]==5)&&(readout[3]==5)) /* unable to take control */
      {
	 init_state=12;
	 pvPut(init_state);
	 for(i=0;i<4;i++)
	 {
	    readout[i]=6; /* PROGRAM (Readout Board)*/
	    pvPut(readout[i]);
         }
	 prog=1;
       } state init1
       
      when((readout[0]!=4)&&(readout[1]!=4)&&(readout[2]!=4)&&(readout[3]!=4)) 
       {
	 init_state=1;
	 pvPut(init_state);
       } state init2

   }
   state init1
   {
      when((readout[0]==1)&&(readout[1]==1)&&(readout[2]==1)&&(readout[3]==1)) /* if programmation failed */
      {
	 init_state=10;
	 pvPut(init_state);
       } state init

      when((readout[0]!=6)&&(readout[1]!=6)&&(readout[2]!=6)&&(readout[3]!=6))
      {
	 init_state=1;
	 pvPut(init_state);
	 for(i=0;i<4;i++)
	 {
  	   readout[i]=4; /* CONTROL (Readout Board)*/
	   pvPut(readout[i]);
         }
       } state init2
      
   }
   state init2
   {
      when((readout[0]==5)&&(readout[1]==5)&&(readout[2]==5)&&(readout[3]==5))
      {
	 init_state=10;
	 pvPut(init_state);
      } state init

      when((readout[0]!=4)&&(readout[1]!=4)&&(readout[2]!=4)&&(readout[3]!=4))
      {
	 for(i=0;i<4;i++)
	 {
	   readout[i]=3; /* VERSION (Readout Board)*/
	   pvPut(readout[i]);
         }
       } state init3
   }
   state init3
   {
      when((readout[0]!=3)&&(readout[1]!=3)&&(readout[2]!=3)&&(readout[3]!=3))
      {
	 for(i=0;i<4;i++)
	 {
	   readout[i]=1; /* CONFIG (Readout Board)*/
	   pvPut(readout[i]);
         }
       } state init32
   }
   state init32
   {
      when((readout[0]!=1)&&(readout[1]!=1)&&(readout[2]!=1)&&(readout[3]!=1))
      {
	 for(i=0;i<20;i++) 
	 {
	    command[i]=3; /* RESET */
	    pvPut(command[i]);
	 }
       } state init33
   }
   state init33
   {
      when((command[0]!=3)&&(command[1]!=3)&&(command[2]!=3)&&(command[3]!=3)&&(command[4]!=3)&&
           (command[5]!=3)&&(command[6]!=3)&&(command[7]!=3)&&(command[8]!=3)&&(command[9]!=3)&&
	   (command[10]!=3)&&(command[11]!=3)&&(command[12]!=3)&&(command[13]!=3)&&(command[14]!=3)&&
	   (command[15]!=3)&&(command[16]!=3)&&(command[17]!=3)&&(command[18]!=3)&&(command[19]!=3))
      {
	 for(i=0;i<4;i++)
	 {
	   readout[i]=4; /* CONTROL (Readout Board)*/
	   pvPut(readout[i]);
         }
      } state init4
   }  
   state init4
   {
      when((readout[0]==5)&&(readout[1]==5)&&(readout[2]==5)&&(readout[3]==5))
      {
	 init_state=10;
	 pvPut(init_state);
      } state init

      when((readout[0]!=4)&&(readout[1]!=4)&&(readout[2]!=4)&&(readout[3]!=4))
      {
	 for(i=0;i<20;i++) 
	 {
	    command[i]=9; /* POWER ON*/
	    pvPut(command[i]);
	 }
       } state init5

   }
   state init5
   {
      when((prog==0)&&(command[0]==3)&&(command[1]==3)&&(command[2]==3)&&(command[3]==3)&&(command[4]==3)&&
           (command[5]==3)&&(command[6]==3)&&(command[7]==3)&&(command[8]==3)&&(command[9]==3)&&
	   (command[10]==3)&&(command[11]==3)&&(command[12]==3)&&(command[13]==3)&&(command[14]==3)&&
           (command[15]==3)&&(command[16]==3)&&(command[17]==3)&&(command[18]==3)&&(command[19]==3)) /* unable to take control */
      {
	 init_state=12;
	 pvPut(init_state);
	 for(i=0;i<4;i++)
	 {
	    readout[i]=6; /* PROGRAM (Readout Board)*/
	    pvPut(readout[i]);
         }
	 prog=1;
       } state init1

      when((command[0]!=9)&&(command[1]!=9)&&(command[2]!=9)&&(command[3]!=9)&&(command[4]!=9)&&
           (command[5]!=9)&&(command[6]!=9)&&(command[7]!=9)&&(command[8]!=9)&&(command[9]!=9)&&
	   (command[10]!=9)&&(command[11]!=9)&&(command[12]!=9)&&(command[13]!=9)&&(command[14]!=9)&&
           (command[15]!=9)&&(command[16]!=9)&&(command[17]!=9)&&(command[18]!=9)&&(command[19]!=9))
      {
	 for(i=0;i<20;i++) 
	 {
	    command[i]=1; /* INIT */
	    pvPut(command[i]);
	 }
      } state bias
      
   }	
   
   state bias
   {
      when((command[0]==3)&&(command[1]==3)&&(command[2]==3)&&(command[3]==3)&&(command[4]==3)&&
           (command[5]==3)&&(command[6]==3)&&(command[7]==3)&&(command[8]==3)&&(command[9]==3)&&
	   (command[10]==3)&&(command[11]==3)&&(command[12]==3)&&(command[13]==3)&&(command[14]==3)&&
           (command[15]==3)&&(command[16]==3)&&(command[17]==3)&&(command[18]==3)&&(command[19]==3)) /* unable to take control */
      {
	 init_state=10;
	 pvPut(init_state);
       } state init

      when((command[0]!=1)&&(command[1]!=1)&&(command[2]!=1)&&(command[3]!=1)&&(command[4]!=1)&&
           (command[5]!=1)&&(command[6]!=1)&&(command[7]!=1)&&(command[8]!=1)&&(command[9]!=1)&&
	   (command[10]!=1)&&(command[11]!=1)&&(command[12]!=1)&&(command[13]!=1)&&(command[14]!=1)&&
           (command[15]!=1)&&(command[16]!=1)&&(command[17]!=1)&&(command[18]!=1)&&(command[19]!=1))
      {
	 init_state=2;
	 pvPut(init_state);
	 for(i=0;i<20;i++) 
	 {
	    command[i]=2; /* BIAS */
	    pvPut(command[i]);
	 }
      } state costar
   }	
   
   state costar
   {
      when((command[0]==3)&&(command[1]==3)&&(command[2]==3)&&(command[3]==3)&&(command[4]==3)&&
           (command[5]==3)&&(command[6]==3)&&(command[7]==3)&&(command[8]==3)&&(command[9]==3)&&
	   (command[10]==3)&&(command[11]==3)&&(command[12]==3)&&(command[13]==3)&&(command[14]==3)&&
           (command[15]==3)&&(command[16]==3)&&(command[17]==3)&&(command[18]==3)&&(command[19]==3)) /* unable to take control */
      {
	 init_state=10;
	 pvPut(init_state);
      } state init

      when((command[0]!=2)&&(command[1]!=2)&&(command[2]!=2)&&(command[3]!=2)&&(command[4]!=2)&&
           (command[5]!=2)&&(command[6]!=2)&&(command[7]!=2)&&(command[8]!=2)&&(command[9]!=2)&&
	   (command[10]!=2)&&(command[11]!=2)&&(command[12]!=2)&&(command[13]!=2)&&(command[14]!=2)&&
           (command[15]!=2)&&(command[16]!=2)&&(command[17]!=2)&&(command[18]!=2)&&(command[19]!=2))
      {
	 init_state=6;
	 pvPut(init_state);
	 for(i=0;i<20;i++) 
	 {
	    command[i]=7; /* Read Costar chips */
	    pvPut(command[i]);
	 }
      } state done
   }	
   
   state done	
   {
      when((command[0]==3)&&(command[1]==3)&&(command[2]==3)&&(command[3]==3)&&(command[4]==3)&&
           (command[5]==3)&&(command[6]==3)&&(command[7]==3)&&(command[8]==3)&&(command[9]==3)&&
	   (command[10]==3)&&(command[11]==3)&&(command[12]==3)&&(command[13]==3)&&(command[14]==3)&&
           (command[15]==3)&&(command[16]==3)&&(command[17]==3)&&(command[18]==3)&&(command[19]==3)) /* unable to take control */
      {
	 init_state=10;
	 pvPut(init_state);
      } state init

      when((command[0]!=7)&&(command[1]!=7)&&(command[2]!=7)&&(command[3]!=7)&&(command[4]!=7)&&
           (command[5]!=7)&&(command[6]!=7)&&(command[7]!=7)&&(command[8]!=7)&&(command[9]!=7)&&
	   (command[10]!=7)&&(command[11]!=7)&&(command[12]!=7)&&(command[13]!=7)&&(command[14]!=7)&&
           (command[15]!=7)&&(command[16]!=7)&&(command[17]!=7)&&(command[18]!=7)&&(command[19]!=7))
      {
	 init_state=3;
	 pvPut(init_state);
	 controlMode=1;		/* switch to acquisition mode */
	 pvPut(controlMode);
      } state reset

   }
   
   state reset
   {
      when(controlMode==1)
      {
         init_state=8;
         pvPut(init_state);
	 for(i=0;i<4;i++)
	 {
	   readout[i]=5; /*  DAQ mode (Readout Board)*/
	   pvPut(readout[i]);
         }
      } state daq
      when(jtag)			/* Init button pressed */
      {
	 init_state=4;
	 pvPut(init_state);
	 for(i=0;i<20;i++) 
	 {
	    command[i]=10; /* POWER OFF */
	    pvPut(command[i]);
	 }
      } state init      
      
      when(cost)   		/* Refresh button is pressed */
      {
	 init_state=11;
	 pvPut(init_state);
	 for(i=0;i<20;i++) 
	 {
	    command[i]=6; /* Find latchups  */
	    pvPut(command[i]);
	 }
      } state latchup
   }	
   state latchup
   {
      when((command[0]==3)&&(command[1]==3)&&(command[2]==3)&&(command[3]==3)&&(command[4]==3)&&
           (command[5]==3)&&(command[6]==3)&&(command[7]==3)&&(command[8]==3)&&(command[9]==3)&&
	   (command[10]==3)&&(command[11]==3)&&(command[12]==3)&&(command[13]==3)&&(command[14]==3)&&
           (command[15]==3)&&(command[16]==3)&&(command[17]==3)&&(command[18]==3)&&(command[19]==3)) /* unable to take control */
      {
	 init_state=10;
	 pvPut(init_state);
      } state init

      when((command[0]!=6)&&(command[1]!=6)&&(command[2]!=6)&&(command[3]!=6)&&(command[4]!=6)&&
           (command[5]!=6)&&(command[6]!=6)&&(command[7]!=6)&&(command[8]!=6)&&(command[9]!=6)&&
	   (command[10]!=6)&&(command[11]!=6)&&(command[12]!=6)&&(command[13]!=6)&&(command[14]!=6)&&
           (command[15]!=6)&&(command[16]!=6)&&(command[17]!=6)&&(command[18]!=6)&&(command[19]!=6))
      {
	 for(i=0;i<20;i++) 
	 {
	    command[i]=8; /* Reload bias for the chips which got latchup */
	    pvPut(command[i]);
	 }
      } state recover
   }

   state recover
   {
      when((command[0]==3)&&(command[1]==3)&&(command[2]==3)&&(command[3]==3)&&(command[4]==3)&&
           (command[5]==3)&&(command[6]==3)&&(command[7]==3)&&(command[8]==3)&&(command[9]==3)&&
	   (command[10]==3)&&(command[11]==3)&&(command[12]==3)&&(command[13]==3)&&(command[14]==3)&&
           (command[15]==3)&&(command[16]==3)&&(command[17]==3)&&(command[18]==3)&&(command[19]==3))
      {
	 init_state=10;
	 pvPut(init_state);
      } state init

      when((command[0]!=8)&&(command[1]!=8)&&(command[2]!=8)&&(command[3]!=8)&&(command[4]!=8)&&
           (command[5]!=8)&&(command[6]!=8)&&(command[7]!=8)&&(command[8]!=8)&&(command[9]!=8)&&
	   (command[10]!=8)&&(command[11]!=8)&&(command[12]!=8)&&(command[13]!=8)&&(command[14]!=8)&&
           (command[15]!=8)&&(command[16]!=8)&&(command[17]!=8)&&(command[18]!=8)&&(command[19]!=8))
      {
	 init_state=6;	
	 pvPut(init_state);
	 for(i=0;i<20;i++) 
	 {
	    command[i]=7; /* Read Costar chips */
	    pvPut(command[i]);
	 }
      } state done

   }

   state daq
   {
      when(delay(5))
      {
	 for(i=0;i<4;i++)
	 {
	   readout[i]=2;  /* STATUS (Readout Board)*/
	   pvPut(readout[i]);
         }
      } state daq2
      
      when(controlMode==0)
      {
         init_state=7;
         pvPut(init_state);
	 for(i=0;i<4;i++)
	 {
	   readout[i]=4;  /* Full Control mode (Readout Board) */
	   pvPut(readout[i]);
         }
      } state reset
      
      when(jtag||cost)     /* Start or Refresh button is pressed */
      {
	 init_state=9;
	 pvPut(init_state);     /* Not allowed (need to be in full control mode) */
      } state warning2
         
   }

   state daq2
   {
      when((readout[0]!=2)&&(readout[1]!=2)&&(readout[2]!=2)&&(readout[3]!=2))
      {
	 for(i=0;i<4;i++)
	 {
	   readout[i]=1;  /* CONFIG (Readout Board)*/
	   pvPut(readout[i]);
         }
      } state daq
   }   
   state warning2
   {
      when(delay(1))
      {
	 init_state=8;
	 pvPut(init_state);	/* Display : "NO WAY !" */
      } state daq      
   }
   
}   
     	
   
