program ssd_main

string init_state;
assign init_state to "ssd_main_state";

int mode;
assign mode to "ssd_control_mode";
monitor mode;

int readout[4];
assign readout to {"ssd_q1P_state","ssd_q1N_state","ssd_q2P_state","ssd_q2N_state"};
monitor readout;

int ladder[20];
assign ladder to {"ssd_lad0N_state","ssd_lad0P_state","ssd_lad1N_state","ssd_lad1P_state","ssd_lad2N_state","ssd_lad2P_state","ssd_lad3N_state","ssd_lad3P_state","ssd_lad4N_state","ssd_lad4P_state","ssd_lad5N_state","ssd_lad5P_state","ssd_lad6N_state","ssd_lad6P_state","ssd_lad7N_state","ssd_lad7P_state","ssd_lad8N_state","ssd_lad8P_state","ssd_lad9N_state","ssd_lad9P_state"};
monitor ladder;

int i;
int c;

ss ssd_main
{
   state init
   {
      when((readout[0]==1)||(readout[1]==1)||(readout[2]==1)||(readout[3]==1))
      /* when readout check */
      {
        sprintf(init_state,"Checking Readout Board...");
	pvPut(init_state);
      } state rb_check
      
      when((ladder[0]==2)||(ladder[1]==2)||(ladder[2]==2)||(ladder[3]==2)||(ladder[4]==2)||(ladder[5]==2)||(ladder[6]==2)||(ladder[7]==2)||(ladder[8]==2)||(ladder[9]==2)||(ladder[10]==2)||(ladder[11]==2)||(ladder[12]==2)||(ladder[13]==2)||(ladder[14]==2)||(ladder[15]==2)||(ladder[16]==2)||(ladder[17]==2)||(ladder[18]==2)||(ladder[19]==2))
      /* when ladder check */
      {
        sprintf(init_state,"Ladder Initialization ...");
	pvPut(init_state);
      } state lad_init

      when((ladder[0]==6)||(ladder[1]==6)||(ladder[2]==6)||(ladder[3]==6)||(ladder[4]==6)||(ladder[5]==6)||(ladder[6]==6)||(ladder[7]==6)||(ladder[8]==6)||(ladder[9]==6)||(ladder[10]==6)||(ladder[11]==6)||(ladder[12]==6)||(ladder[13]==6)||(ladder[14]==6)||(ladder[15]==6)||(ladder[16]==6)||(ladder[17]==6)||(ladder[18]==6)||(ladder[19]==6))
      {      
        sprintf(init_state,"Updating...");
	pvPut(init_state);
      } state lad_update     
      
      when((ladder[0]==9)||(ladder[1]==9)||(ladder[2]==9)||(ladder[3]==9)||(ladder[4]==9)||(ladder[5]==9)||(ladder[6]==9)||(ladder[7]==9)||(ladder[8]==9)||(ladder[9]==9)||(ladder[10]==9)||(ladder[11]==9)||(ladder[12]==9)||(ladder[13]==9)||(ladder[14]==9)||(ladder[15]==9)||(ladder[16]==9)||(ladder[17]==9)||(ladder[18]==9)||(ladder[19]==9))
      {      
        sprintf(init_state,"Go to Calibration Mode...");
	pvPut(init_state);
      } state lad_calib     

      when((readout[0]==8)||(readout[1]==8)||(readout[2]==8)||(readout[3]==8))
      /* when readout check */
      {
        sprintf(init_state,"Acquisition Mode");
	pvPut(init_state);
      } state daq
      
      
   }
   
   state rb_check
   {
      
      when((readout[0]==11)&&(readout[1]==11)&&(readout[2]==11)&&(readout[3]==11))
      {
	sprintf(init_state,"Power is off !");
	pvPut(init_state);
      } state init
      
      when((readout[0]==2)||(readout[1]==2)||(readout[2]==2)||(readout[3]==2))
      /* when readout fpga */
      {
	sprintf(init_state,"Loading FPGA Program (0/4)");
	pvPut(init_state);
      } state rb_count

      when((readout[0]==4)||(readout[1]==4)||(readout[2]==4)||(readout[3]==4))
      /* when readout ready */
      {
	sprintf(init_state,"FPGA Programmed");
	pvPut(init_state);
      } state rb_count2
   }
   
   state rb_count
   {
      when(delay(5))
      {
        c=0;
	for(i=0;i<4;i++) c+=(readout[i]==3) ; 
	sprintf(init_state,"Loading FPGA Program (%d/4)",c);
	pvPut(init_state);
      } state rb_count
      
      when((readout[0]==11)&&(readout[1]==11)&&(readout[2]==11)&&(readout[3]==11))
      {
	sprintf(init_state,"Power is off !");
	pvPut(init_state);
      } state init
      
      when((readout[0]==12)&&(readout[1]==12)&&(readout[2]==12)&&(readout[3]==12))
      {
	sprintf(init_state,"Cannot program any FPGA !");
	pvPut(init_state);
      } state init
      
      when((readout[0]==4)||(readout[1]==4)||(readout[2]==4)||(readout[3]==4))
      /* when readout ready */
      {
	sprintf(init_state,"FPGA Programmed");
	pvPut(init_state);
      } state rb_count2
   }

   state rb_count2
   {
      when(delay(2))
      {
        c=0;
	for(i=0;i<4;i++) c+=(readout[i]==4);
	if(c==4)  
	  sprintf(init_state,"All Readout Boards are ready");
	else if(c==3) 
	  sprintf(init_state,"1 Readout Board failed");
	else 
	  sprintf(init_state,"%d Readout Boards failed",4-c);
	pvPut(init_state);
      } state wait
   } 

   state lad_init
   {
      when((ladder[0]==4)||(ladder[1]==4)||(ladder[2]==4)||(ladder[3]==4)||(ladder[4]==4)||(ladder[5]==4)||(ladder[6]==4)||(ladder[7]==4)||(ladder[8]==4)||(ladder[9]==4)||(ladder[10]==4)||(ladder[11]==4)||(ladder[12]==4)||(ladder[13]==4)||(ladder[14]==4)||(ladder[15]==4)||(ladder[16]==4)||(ladder[17]==4)||(ladder[18]==4)||(ladder[19]==4))
      {      
        sprintf(init_state,"Loading Front End parameters (0/20)");
	pvPut(init_state);
      } state lad_count
             
   }

   state lad_count
   {
      when(delay(2))
      {
        c=0;
	for(i=0;i<20;i++) c+=(ladder[i]==4) ; 
	sprintf(init_state,"Loading Front End parameters (%d/20)",c);
	pvPut(init_state);
      } state lad_count

      when((ladder[0]==5)||(ladder[1]==5)||(ladder[2]==5)||(ladder[3]==5)||(ladder[4]==5)||(ladder[5]==5)||(ladder[6]==5)||(ladder[7]==5)||(ladder[8]==5)||(ladder[9]==5)||(ladder[10]==5)||(ladder[11]==5)||(ladder[12]==5)||(ladder[13]==5)||(ladder[14]==5)||(ladder[15]==5)||(ladder[16]==5)||(ladder[17]==5)||(ladder[18]==5)||(ladder[19]==5))
      {      
        sprintf(init_state,"Reading Costar chips (0/20)");
	pvPut(init_state);
      } state lad_count2     
   }

   state lad_count2
   {
      when(delay(1))
      {
        c=0;
	for(i=0;i<20;i++) c+=(ladder[i]==5) ; 
	sprintf(init_state,"Reading Costar chips (%d/20)",c);
	pvPut(init_state);
      } state lad_count2

      when((ladder[0]!=4)&&(ladder[1]!=4)&&(ladder[2]!=4)&&(ladder[3]!=4)&&(ladder[4]!=4)&&(ladder[5]!=4)&&(ladder[6]!=4)&&(ladder[7]!=4)&&(ladder[8]!=4)&&(ladder[9]!=4)&&(ladder[10]!=4)&&(ladder[11]!=4)&&(ladder[12]!=4)&&(ladder[13]!=4)&&(ladder[14]!=4)&&(ladder[15]!=4)&&(ladder[16]!=4)&&(ladder[17]!=4)&&(ladder[18]!=4)&&(ladder[19]!=4))
      {      
      } state lad_check_bias     
   }

   state lad_check_bias
   {
      when((ladder[0]!=3)&&(ladder[1]!=3)&&(ladder[2]!=3)&&(ladder[3]!=3)&&(ladder[4]!=3)&&(ladder[5]!=3)&&(ladder[6]!=3)&&(ladder[7]!=3)&&(ladder[8]!=3)&&(ladder[9]!=3)&&(ladder[10]!=3)&&(ladder[11]!=3)&&(ladder[12]!=3)&&(ladder[13]!=3)&&(ladder[14]!=3)&&(ladder[15]!=3)&&(ladder[16]!=3)&&(ladder[17]!=3)&&(ladder[18]!=3)&&(ladder[19]!=3))
      {      
      } state lad_check_init     
   }

   state lad_check_init
   {
      when((ladder[0]!=2)&&(ladder[1]!=2)&&(ladder[2]!=2)&&(ladder[3]!=2)&&(ladder[4]!=2)&&(ladder[5]!=2)&&(ladder[6]!=2)&&(ladder[7]!=2)&&(ladder[8]!=2)&&(ladder[9]!=2)&&(ladder[10]!=2)&&(ladder[11]!=2)&&(ladder[12]!=2)&&(ladder[13]!=2)&&(ladder[14]!=2)&&(ladder[15]!=2)&&(ladder[16]!=2)&&(ladder[17]!=2)&&(ladder[18]!=2)&&(ladder[19]!=2))
      {      
        sprintf(init_state,"Ladder Initialization complete");
	pvPut(init_state);
      } state lad_ready     
   }

   state lad_ready
   {
      when(delay(1))
      {
        c=0;
	for(i=0;i<20;i++) c+=(ladder[i]==5);
	if(c==20)  
	  sprintf(init_state,"All Ladders are ready");
	else if(c==20-1) 
	  sprintf(init_state,"1 Ladder not ready");
	else 
	  sprintf(init_state,"%d Ladder not ready",20-c);
	pvPut(init_state);
      } state goto_acqu
   } 

   state lad_update
   {
      when((ladder[0]==5)||(ladder[1]==5)||(ladder[2]==5)||(ladder[3]==5)||(ladder[4]==5)||(ladder[5]==5)||(ladder[6]==5)||(ladder[7]==5)||(ladder[8]==5)||(ladder[9]==5)||(ladder[10]==5)||(ladder[11]==5)||(ladder[12]==5)||(ladder[13]==5)||(ladder[14]==5)||(ladder[15]==5)||(ladder[16]==5)||(ladder[17]==5)||(ladder[18]==5)||(ladder[19]==5))
      {      
        sprintf(init_state,"Reading Costar chips (0/20)");
	pvPut(init_state);
      } state lad_count2     
   }

   state lad_calib
   {
      when((ladder[0]==5)||(ladder[1]==5)||(ladder[2]==5)||(ladder[3]==5)||(ladder[4]==5)||(ladder[5]==5)||(ladder[6]==5)||(ladder[7]==5)||(ladder[8]==5)||(ladder[9]==5)||(ladder[10]==5)||(ladder[11]==5)||(ladder[12]==5)||(ladder[13]==5)||(ladder[14]==5)||(ladder[15]==5)||(ladder[16]==5)||(ladder[17]==5)||(ladder[18]==5)||(ladder[19]==5))
      {      
        sprintf(init_state,"Loading Internal Pulse (0/20)");
	pvPut(init_state);
      } state lad_calib2     
   }

   state lad_calib2
   {
      when(delay(1))
      {
        c=0;
	for(i=0;i<20;i++) c+=(ladder[i]==5) ; 
	sprintf(init_state,"Loading Internal Pulse (%d/20)",c);
	pvPut(init_state);
      } state lad_calib2

      when((ladder[0]!=9)&&(ladder[1]!=9)&&(ladder[2]!=9)&&(ladder[3]!=9)&&(ladder[4]!=9)&&(ladder[5]!=9)&&(ladder[6]!=9)&&(ladder[7]!=9)&&(ladder[8]!=9)&&(ladder[9]!=9)&&(ladder[10]!=9)&&(ladder[11]!=9)&&(ladder[12]!=9)&&(ladder[13]!=9)&&(ladder[14]!=9)&&(ladder[15]!=9)&&(ladder[16]!=9)&&(ladder[17]!=9)&&(ladder[18]!=9)&&(ladder[19]!=9))
      {      
        sprintf(init_state,"Calibration Mode");
	pvPut(init_state);
      } state lad_ready     
   }

   state goto_acqu
   {
      when(delay(2))
      {
        mode=1;
	pvPut(mode);
	sprintf(init_state,"Acquisition Mode");
	pvPut(init_state);
      } state daq
   } 

  state daq
  {
      when((readout[0]==7)||(readout[1]==7)||(readout[2]==7)||(readout[3]==7))
      /* when readout = full control */
      {
        sprintf(init_state,"Full Control Mode");
	pvPut(init_state);
      } state init

      when((readout[0]==9)||(readout[1]==9)||(readout[2]==9)||(readout[3]==9))
      /* when readout = NO WAY ! */
      {
        sprintf(init_state,"Please go to Full Control first");
	pvPut(init_state);
      } state warning

      when((readout[0]==11)&&(readout[1]==11)&&(readout[2]==11)&&(readout[3]==11))
      /* when readout power is off */
      {
        sprintf(init_state,"Power is off");
	pvPut(init_state);
	mode=0; /* go to full control mode */
	pvPut(mode);
      } state init

      when(mode==2)
      /* when trying to go to calibration */
      {
        sprintf(init_state,"Please go to Full Control first");
	pvPut(init_state);
        mode=1;
	pvPut(mode);
      } state warning
  }

   state warning
   {
      when(delay(3))
      {
        sprintf(init_state,"Acquisition Mode");
	pvPut(init_state);
      } state daq
   } 


   state wait
   {
      when(delay(2))
      {
      } state init
   } 


}
