program ssd_main

string init_state;
assign init_state to "ssd_main_state";

int mode;
assign mode to "ssd_control_mode";
monitor mode;

int readout[4];
assign readout to {"ssd_q1P_state","ssd_q1N_state","ssd_q2P_state","ssd_q2N_state"};
monitor readout;

int ladder[40];
assign ladder to {"ssd_lad1N_state","ssd_lad1P_state","ssd_lad2N_state","ssd_lad2P_state","ssd_lad3N_state","ssd_lad3P_state","ssd_lad4N_state","ssd_lad4P_state","ssd_lad5N_state","ssd_lad5P_state","ssd_lad6N_state","ssd_lad6P_state","ssd_lad7N_state","ssd_lad7P_state","ssd_lad8N_state","ssd_lad8P_state","ssd_lad9N_state","ssd_lad9P_state","ssd_lad10N_state","ssd_lad10P_state","ssd_lad11N_state","ssd_lad11P_state","ssd_lad12N_state","ssd_lad12P_state","ssd_lad13N_state","ssd_lad13P_state","ssd_lad14N_state","ssd_lad14P_state","ssd_lad15N_state","ssd_lad15P_state","ssd_lad16N_state","ssd_lad16P_state","ssd_lad17N_state","ssd_lad17P_state","ssd_lad18N_state","ssd_lad18P_state","ssd_lad19N_state","ssd_lad19P_state","ssd_lad20N_state","ssd_lad20P_state"};
monitor ladder;

int i;
int c;

ss ssd_main
{
   state init
   {
      when((readout[0]==1)||(readout[1]==1)||(readout[2]==1)||(readout[3]==1))
      /* when readout check */
      {
        sprintf(init_state,"Checking Readout Board...");
	pvPut(init_state);
      } state rb_check
      
      when((ladder[0]==2)||(ladder[1]==2)||(ladder[2]==2)||(ladder[3]==2)||(ladder[4]==2)||(ladder[5]==2)||(ladder[6]==2)||(ladder[7]==2)||(ladder[8]==2)||(ladder[9]==2)||(ladder[10]==2)||(ladder[11]==2)||(ladder[12]==2)||(ladder[13]==2)||(ladder[14]==2)||(ladder[15]==2)||(ladder[16]==2)||(ladder[17]==2)||(ladder[18]==2)||(ladder[19]==2)||(ladder[20]==2)||(ladder[21]==2)||(ladder[22]==2)||(ladder[23]==2)||(ladder[24]==2)||(ladder[25]==2)||(ladder[26]==2)||(ladder[27]==2)||(ladder[28]==2)||(ladder[29]==2)||(ladder[30]==2)||(ladder[31]==2)||(ladder[32]==2)||(ladder[33]==2)||(ladder[34]==2)||(ladder[35]==2)||(ladder[36]==2)||(ladder[37]==2)||(ladder[38]==2)||(ladder[39]==2))
      /* when ladder check */
      {
        sprintf(init_state,"Ladder Initialization ...");
	pvPut(init_state);
      } state lad_init

      when((ladder[0]==6)||(ladder[1]==6)||(ladder[2]==6)||(ladder[3]==6)||(ladder[4]==6)||(ladder[5]==6)||(ladder[6]==6)||(ladder[7]==6)||(ladder[8]==6)||(ladder[9]==6)||(ladder[10]==6)||(ladder[11]==6)||(ladder[12]==6)||(ladder[13]==6)||(ladder[14]==6)||(ladder[15]==6)||(ladder[16]==6)||(ladder[17]==6)||(ladder[18]==6)||(ladder[19]==6)||(ladder[20]==6)||(ladder[21]==6)||(ladder[22]==6)||(ladder[23]==6)||(ladder[24]==6)||(ladder[25]==6)||(ladder[26]==6)||(ladder[27]==6)||(ladder[28]==6)||(ladder[29]==6)||(ladder[30]==6)||(ladder[31]==6)||(ladder[32]==6)||(ladder[33]==6)||(ladder[34]==6)||(ladder[35]==6)||(ladder[36]==6)||(ladder[37]==6)||(ladder[38]==6)||(ladder[39]==6))
      {      
        sprintf(init_state,"Updating...");
	pvPut(init_state);
      } state lad_update     
      
      when((ladder[0]==9)||(ladder[1]==9)||(ladder[2]==9)||(ladder[3]==9)||(ladder[4]==9)||(ladder[5]==9)||(ladder[6]==9)||(ladder[7]==9)||(ladder[8]==9)||(ladder[9]==9)||(ladder[10]==9)||(ladder[11]==9)||(ladder[12]==9)||(ladder[13]==9)||(ladder[14]==9)||(ladder[15]==9)||(ladder[16]==9)||(ladder[17]==9)||(ladder[18]==9)||(ladder[19]==9)||(ladder[20]==9)||(ladder[21]==9)||(ladder[22]==9)||(ladder[23]==9)||(ladder[24]==9)||(ladder[25]==9)||(ladder[26]==9)||(ladder[27]==9)||(ladder[28]==9)||(ladder[29]==9)||(ladder[30]==9)||(ladder[31]==9)||(ladder[32]==9)||(ladder[33]==9)||(ladder[34]==9)||(ladder[35]==9)||(ladder[36]==9)||(ladder[37]==9)||(ladder[38]==9)||(ladder[39]==9))
      {      
        sprintf(init_state,"Go to Calibration Mode...");
	pvPut(init_state);
      } state lad_calib     

      when((readout[0]==8)||(readout[1]==8)||(readout[2]==8)||(readout[3]==8))
      /* when readout check */
      {
        sprintf(init_state,"Acquisition Mode");
	pvPut(init_state);
      } state daq
      
      
   }
   
   state rb_check
   {
      
      when((readout[0]==11)&&(readout[1]==11)&&(readout[2]==11)&&(readout[3]==11))
      {
	sprintf(init_state,"Power is off !");
	pvPut(init_state);
      } state init
      
      when((readout[0]==2)||(readout[1]==2)||(readout[2]==2)||(readout[3]==2))
      /* when readout fpga */
      {
	sprintf(init_state,"Loading FPGA Program (0/4)");
	pvPut(init_state);
      } state rb_count

      when((readout[0]==4)||(readout[1]==4)||(readout[2]==4)||(readout[3]==4))
      /* when readout ready */
      {
	sprintf(init_state,"FPGA Programmed");
	pvPut(init_state);
      } state rb_count2
   }
   
   state rb_count
   {
      when(delay(5))
      {
        c=0;
	for(i=0;i<4;i++) c+=(readout[i]==3) ; 
	sprintf(init_state,"Loading FPGA Program (%d/4)",c);
	pvPut(init_state);
      } state rb_count
      
      when((readout[0]==11)&&(readout[1]==11)&&(readout[2]==11)&&(readout[3]==11))
      {
	sprintf(init_state,"Power is off !");
	pvPut(init_state);
      } state init
      
      when((readout[0]==12)&&(readout[1]==12)&&(readout[2]==12)&&(readout[3]==12))
      {
	sprintf(init_state,"Cannot program any FPGA !");
	pvPut(init_state);
      } state init
      
      when((readout[0]==4)||(readout[1]==4)||(readout[2]==4)||(readout[3]==4))
      /* when readout ready */
      {
	sprintf(init_state,"FPGA Programmed");
	pvPut(init_state);
      } state rb_count2
   }

   state rb_count2
   {
      when(delay(2))
      {
        c=0;
	for(i=0;i<4;i++) c+=(readout[i]==4);
	if(c==4)  
	  sprintf(init_state,"All Readout Boards are ready");
	else if(c==3) 
	  sprintf(init_state,"1 Readout Board failed");
	else 
	  sprintf(init_state,"%d Readout Boards failed",4-c);
	pvPut(init_state);
      } state wait
   } 

   state lad_init
   {
      when((ladder[0]==4)||(ladder[1]==4)||(ladder[2]==4)||(ladder[3]==4)||(ladder[4]==4)||(ladder[5]==4)||(ladder[6]==4)||(ladder[7]==4)||(ladder[8]==4)||(ladder[9]==4)||(ladder[10]==4)||(ladder[11]==4)||(ladder[12]==4)||(ladder[13]==4)||(ladder[14]==4)||(ladder[15]==4)||(ladder[16]==4)||(ladder[17]==4)||(ladder[18]==4)||(ladder[19]==4)||(ladder[20]==4)||(ladder[21]==4)||(ladder[22]==4)||(ladder[23]==4)||(ladder[24]==4)||(ladder[25]==4)||(ladder[26]==4)||(ladder[27]==4)||(ladder[28]==4)||(ladder[29]==4)||(ladder[30]==4)||(ladder[31]==4)||(ladder[32]==4)||(ladder[33]==4)||(ladder[34]==4)||(ladder[35]==4)||(ladder[36]==4)||(ladder[37]==4)||(ladder[38]==4)||(ladder[39]==4))
      {      
        sprintf(init_state,"Loading Front End parameters (0/40)");
	pvPut(init_state);
      } state lad_count
             
      when((ladder[0]==12)&&(ladder[1]==12)&&(ladder[2]==12)&&(ladder[3]==12)&&(ladder[4]==12)&&(ladder[5]==12)&&(ladder[6]==12)&&(ladder[7]==12)&&(ladder[8]==12)&&(ladder[9]==12)&&(ladder[10]==12)&&(ladder[11]==12)&&(ladder[12]==12)&&(ladder[13]==12)&&(ladder[14]==12)&&(ladder[15]==12)&&(ladder[16]==12)&&(ladder[17]==12)&&(ladder[18]==12)&&(ladder[19]==12)&&(ladder[20]==12)&&(ladder[21]==12)&&(ladder[22]==12)&&(ladder[23]==12)&&(ladder[24]==12)&&(ladder[25]==12)&&(ladder[26]==12)&&(ladder[27]==12)&&(ladder[28]==12)&&(ladder[29]==12)&&(ladder[30]==12)&&(ladder[31]==12)&&(ladder[32]==12)&&(ladder[33]==12)&&(ladder[34]==12)&&(ladder[35]==12)&&(ladder[36]==12)&&(ladder[37]==12)&&(ladder[38]==12)&&(ladder[39]==12))
      {      
        sprintf(init_state,"No ladder detected !");
	pvPut(init_state);
      } state init
             
   }

   state lad_count
   {
      when(delay(2))
      {
        c=0;
	for(i=0;i<40;i++) c+=(ladder[i]==4) ; 
	sprintf(init_state,"Loading Front End parameters (%d/40)",c);
	pvPut(init_state);
      } state lad_count

      when((ladder[0]==5)||(ladder[1]==5)||(ladder[2]==5)||(ladder[3]==5)||(ladder[4]==5)||(ladder[5]==5)||(ladder[6]==5)||(ladder[7]==5)||(ladder[8]==5)||(ladder[9]==5)||(ladder[10]==5)||(ladder[11]==5)||(ladder[12]==5)||(ladder[13]==5)||(ladder[14]==5)||(ladder[15]==5)||(ladder[16]==5)||(ladder[17]==5)||(ladder[18]==5)||(ladder[19]==5)||(ladder[20]==5)||(ladder[21]==5)||(ladder[22]==5)||(ladder[23]==5)||(ladder[24]==5)||(ladder[25]==5)||(ladder[26]==5)||(ladder[27]==5)||(ladder[28]==5)||(ladder[29]==5)||(ladder[30]==5)||(ladder[31]==5)||(ladder[32]==5)||(ladder[33]==5)||(ladder[34]==5)||(ladder[35]==5)||(ladder[36]==5)||(ladder[37]==5)||(ladder[38]==5)||(ladder[39]==5))
      {      
        sprintf(init_state,"Reading Costar chips (0/40)");
	pvPut(init_state);
      } state lad_count2     
   }

   state lad_count2
   {
      when(delay(1))
      {
        c=0;
	for(i=0;i<40;i++) c+=(ladder[i]==5) ; 
	sprintf(init_state,"Reading Costar chips (%d/40)",c);
	pvPut(init_state);
      } state lad_count2

      when((ladder[0]!=4)&&(ladder[1]!=4)&&(ladder[2]!=4)&&(ladder[3]!=4)&&(ladder[4]!=4)&&(ladder[5]!=4)&&(ladder[6]!=4)&&(ladder[7]!=4)&&(ladder[8]!=4)&&(ladder[9]!=4)&&(ladder[10]!=4)&&(ladder[11]!=4)&&(ladder[12]!=4)&&(ladder[13]!=4)&&(ladder[14]!=4)&&(ladder[15]!=4)&&(ladder[16]!=4)&&(ladder[17]!=4)&&(ladder[18]!=4)&&(ladder[19]!=4)&&(ladder[20]!=4)&&(ladder[21]!=4)&&(ladder[22]!=4)&&(ladder[23]!=4)&&(ladder[24]!=4)&&(ladder[25]!=4)&&(ladder[26]!=4)&&(ladder[27]!=4)&&(ladder[28]!=4)&&(ladder[29]!=4)&&(ladder[30]!=4)&&(ladder[31]!=4)&&(ladder[32]!=4)&&(ladder[33]!=4)&&(ladder[34]!=4)&&(ladder[35]!=4)&&(ladder[36]!=4)&&(ladder[37]!=4)&&(ladder[38]!=4)&&(ladder[39]!=4))
      {      
      } state lad_check_bias     
   }

   state lad_check_bias
   {
      when((ladder[0]!=3)&&(ladder[1]!=3)&&(ladder[2]!=3)&&(ladder[3]!=3)&&(ladder[4]!=3)&&(ladder[5]!=3)&&(ladder[6]!=3)&&(ladder[7]!=3)&&(ladder[8]!=3)&&(ladder[9]!=3)&&(ladder[10]!=3)&&(ladder[11]!=3)&&(ladder[12]!=3)&&(ladder[13]!=3)&&(ladder[14]!=3)&&(ladder[15]!=3)&&(ladder[16]!=3)&&(ladder[17]!=3)&&(ladder[18]!=3)&&(ladder[19]!=3)&&(ladder[20]!=3)&&(ladder[21]!=3)&&(ladder[22]!=3)&&(ladder[23]!=3)&&(ladder[24]!=3)&&(ladder[25]!=3)&&(ladder[26]!=3)&&(ladder[27]!=3)&&(ladder[28]!=3)&&(ladder[29]!=3)&&(ladder[30]!=3)&&(ladder[31]!=3)&&(ladder[32]!=3)&&(ladder[33]!=3)&&(ladder[34]!=3)&&(ladder[35]!=3)&&(ladder[36]!=3)&&(ladder[37]!=3)&&(ladder[38]!=3)&&(ladder[39]!=3))
      {      
      } state lad_check_init     
   }

   state lad_check_init
   {
      when((ladder[0]!=2)&&(ladder[1]!=2)&&(ladder[2]!=2)&&(ladder[3]!=2)&&(ladder[4]!=2)&&(ladder[5]!=2)&&(ladder[6]!=2)&&(ladder[7]!=2)&&(ladder[8]!=2)&&(ladder[9]!=2)&&(ladder[10]!=2)&&(ladder[11]!=2)&&(ladder[12]!=2)&&(ladder[13]!=2)&&(ladder[14]!=2)&&(ladder[15]!=2)&&(ladder[16]!=2)&&(ladder[17]!=2)&&(ladder[18]!=2)&&(ladder[19]!=2)&&(ladder[20]!=2)&&(ladder[21]!=2)&&(ladder[22]!=2)&&(ladder[23]!=2)&&(ladder[24]!=2)&&(ladder[25]!=2)&&(ladder[26]!=2)&&(ladder[27]!=2)&&(ladder[28]!=2)&&(ladder[29]!=2)&&(ladder[30]!=2)&&(ladder[31]!=2)&&(ladder[32]!=2)&&(ladder[33]!=2)&&(ladder[34]!=2)&&(ladder[35]!=2)&&(ladder[36]!=2)&&(ladder[37]!=2)&&(ladder[38]!=2)&&(ladder[39]!=2))
      {      
        sprintf(init_state,"Ladder Initialization complete");
	pvPut(init_state);
      } state lad_ready     
   }

   state lad_ready
   {
      when(delay(1))
      {
        c=0;
	for(i=0;i<40;i++) c+=(ladder[i]==5);
	if(c==40)  
	  sprintf(init_state,"All Ladders are ready");
	else if(c==40-1) 
	  sprintf(init_state,"1 Ladder not ready");
	else 
	  sprintf(init_state,"%d Ladder not ready",40-c);
	pvPut(init_state);
      } state goto_acqu
   } 

   state lad_update
   {
      when((ladder[0]==5)||(ladder[1]==5)||(ladder[2]==5)||(ladder[3]==5)||(ladder[4]==5)||(ladder[5]==5)||(ladder[6]==5)||(ladder[7]==5)||(ladder[8]==5)||(ladder[9]==5)||(ladder[10]==5)||(ladder[11]==5)||(ladder[12]==5)||(ladder[13]==5)||(ladder[14]==5)||(ladder[15]==5)||(ladder[16]==5)||(ladder[17]==5)||(ladder[18]==5)||(ladder[19]==5)||(ladder[20]==5)||(ladder[21]==5)||(ladder[22]==5)||(ladder[23]==5)||(ladder[24]==5)||(ladder[25]==5)||(ladder[26]==5)||(ladder[27]==5)||(ladder[28]==5)||(ladder[29]==5)||(ladder[30]==5)||(ladder[31]==5)||(ladder[32]==5)||(ladder[33]==5)||(ladder[34]==5)||(ladder[35]==5)||(ladder[36]==5)||(ladder[37]==5)||(ladder[38]==5)||(ladder[39]==5))
      {      
        sprintf(init_state,"Reading Costar chips (0/40)");
	pvPut(init_state);
      } state lad_count2     
   }

   state lad_calib
   {
      when((ladder[0]==5)||(ladder[1]==5)||(ladder[2]==5)||(ladder[3]==5)||(ladder[4]==5)||(ladder[5]==5)||(ladder[6]==5)||(ladder[7]==5)||(ladder[8]==5)||(ladder[9]==5)||(ladder[10]==5)||(ladder[11]==5)||(ladder[12]==5)||(ladder[13]==5)||(ladder[14]==5)||(ladder[15]==5)||(ladder[16]==5)||(ladder[17]==5)||(ladder[18]==5)||(ladder[19]==5)||(ladder[20]==5)||(ladder[21]==5)||(ladder[22]==5)||(ladder[23]==5)||(ladder[24]==5)||(ladder[25]==5)||(ladder[26]==5)||(ladder[27]==5)||(ladder[28]==5)||(ladder[29]==5)||(ladder[30]==5)||(ladder[31]==5)||(ladder[32]==5)||(ladder[33]==5)||(ladder[34]==5)||(ladder[35]==5)||(ladder[36]==5)||(ladder[37]==5)||(ladder[38]==5)||(ladder[39]==5))
      {      
        sprintf(init_state,"Loading Internal Pulse (0/40)");
	pvPut(init_state);
      } state lad_calib2     
   }

   state lad_calib2
   {
      when(delay(1))
      {
        c=0;
	for(i=0;i<40;i++) c+=(ladder[i]==5) ; 
	sprintf(init_state,"Loading Internal Pulse (%d/40)",c);
	pvPut(init_state);
      } state lad_calib2

      when((ladder[0]!=9)&&(ladder[1]!=9)&&(ladder[2]!=9)&&(ladder[3]!=9)&&(ladder[4]!=9)&&(ladder[5]!=9)&&(ladder[6]!=9)&&(ladder[7]!=9)&&(ladder[8]!=9)&&(ladder[9]!=9)&&(ladder[10]!=9)&&(ladder[11]!=9)&&(ladder[12]!=9)&&(ladder[13]!=9)&&(ladder[14]!=9)&&(ladder[15]!=9)&&(ladder[16]!=9)&&(ladder[17]!=9)&&(ladder[18]!=9)&&(ladder[19]!=9)&&(ladder[20]!=9)&&(ladder[21]!=9)&&(ladder[22]!=9)&&(ladder[23]!=9)&&(ladder[24]!=9)&&(ladder[25]!=9)&&(ladder[26]!=9)&&(ladder[27]!=9)&&(ladder[28]!=9)&&(ladder[29]!=9)&&(ladder[30]!=9)&&(ladder[31]!=9)&&(ladder[32]!=9)&&(ladder[33]!=9)&&(ladder[34]!=9)&&(ladder[35]!=9)&&(ladder[36]!=9)&&(ladder[37]!=9)&&(ladder[38]!=9)&&(ladder[39]!=9))
      {      
        sprintf(init_state,"Calibration Mode");
	pvPut(init_state);
      } state lad_ready     
   }

   state goto_acqu
   {
      when(delay(2))
      {
        mode=1;
	pvPut(mode);
	sprintf(init_state,"Acquisition Mode");
	pvPut(init_state);
      } state daq
   } 

  state daq
  {
      when((readout[0]==7)||(readout[1]==7)||(readout[2]==7)||(readout[3]==7))
      /* when readout = full control */
      {
        sprintf(init_state,"Full Control Mode");
	pvPut(init_state);
      } state init

      when((readout[0]==9)||(readout[1]==9)||(readout[2]==9)||(readout[3]==9))
      /* when readout = NO WAY ! */
      {
        sprintf(init_state,"Please go to Full Control first");
	pvPut(init_state);
      } state warning

      when((readout[0]==11)&&(readout[1]==11)&&(readout[2]==11)&&(readout[3]==11))
      /* when readout power is off */
      {
        sprintf(init_state,"Power is off");
	pvPut(init_state);
	mode=0; /* go to full control mode */
	pvPut(mode);
      } state init

      when((readout[0]==1)||(readout[1]==1)||(readout[2]==1)||(readout[3]==1))
      /* when readout check */
      {
        sprintf(init_state,"Checking Readout Board...");
	pvPut(init_state);
      } state rb_check

      when(mode==2)
      /* when trying to go to calibration */
      {
        sprintf(init_state,"Please go to Full Control first");
	pvPut(init_state);
        mode=1;
	pvPut(mode);
      } state warning
  }

   state warning
   {
      when(delay(3))
      {
        sprintf(init_state,"Acquisition Mode");
	pvPut(init_state);
      } state daq
   } 


   state wait
   {
      when(delay(2))
      {
      } state init
   } 


}
