program pow_lad

option +r; /* make code reentrant */

short main_switch;
assign main_switch to "ssd_main_power";
monitor main_switch;

short main_hv_switch;
assign main_hv_switch to "ssd_main_hi_volt";
monitor main_hv_switch;

short ladN_power_status;
assign ladN_power_status to "ssd_lad{lad}N_power_status";

short ladP_power_status;
assign ladP_power_status to "ssd_lad{lad}P_power_status";

short p2;
assign p2 to "ssd_lad{lad}N_p2v";
monitor p2;

short m2;
assign m2 to "ssd_lad{lad}N_m2v";
monitor m2;

short p2f;
assign p2f to "ssd_lad{lad}P_p2v";
monitor p2f;

short m2f;
assign m2f to "ssd_lad{lad}P_m2v";
monitor m2f;

short p5;
assign p5 to "ssd_lad{lad}N_p5v";
monitor p5;

short p5f;
assign p5f to "ssd_lad{lad}P_p5v";
monitor p5f;

short hi_volt;
assign hi_volt to "ssd_lad{lad}_hiv";
monitor hi_volt;


ss onoff_lvps 
{

   state init
   {
      when (!main_switch)
      {
      } state stop
	
      when (main_switch)
      {
      } state start
   }

   state start
   {	
      when (main_switch)
      {
	 m2=TRUE;
	 m2f=TRUE;
	 pvPut(m2);
	 pvPut(m2f);
	 delay(1);
	 p2=TRUE;
	 p2f=TRUE;
	 p5=TRUE;
	 p5f=TRUE;
	 pvPut(p2);
	 pvPut(p2f);
	 pvPut(p5);
	 pvPut(p5f);
      } state stop
   }

   state stop
   {
      when (!main_switch)
      {
	 p2=FALSE;
	 p2f=FALSE;
	 p5=FALSE;
	 p5f=FALSE;
	 pvPut(p2);
	 pvPut(p2f);
	 pvPut(p5);
	 pvPut(p5f);
	 delay(1);
	 m2=FALSE;
	 m2f=FALSE;
	 pvPut(m2);
	 pvPut(m2f);
      } state start

      when (main_switch&&((!p2)||(!m2)||(!p5)))
      {
	 p2=FALSE;
	 p5=FALSE;
	 pvPut(p2);
	 pvPut(p5);
	 delay(1);
	 m2=FALSE;
	 pvPut(m2);
      } state errorN

      when (main_switch&&((!p2f)||(!m2f)||(!p5f)))
      {
	 p2f=FALSE;
	 p5f=FALSE;
	 pvPut(p2f);
	 pvPut(p5f);
	 delay(1);
	 m2f=FALSE;
	 pvPut(m2f);
      } state errorP

   }

   state errorN
   {
      when  (p2||m2||p5)
      {
	 m2=TRUE;
	 pvPut(m2);
	 delay(1);
	 p2=TRUE;
	 p5=TRUE;
	 pvPut(p2);
	 pvPut(p5);
      } state stop

      when (!main_switch)
      {
      } state stop
   }
   state errorP
   {
      when  (p2f||m2f||p5f)
      {
	 m2f=TRUE;
	 pvPut(m2f);
	 delay(1);
	 p2f=TRUE;
	 p5f=TRUE;
	 pvPut(p2f);
	 pvPut(p5f);
      } state stop

      when (!main_switch)
      {
      } state stop
   }
}	
	
ss onoff_hvps
{
   state init
   {
      when (!main_hv_switch)
      {
      } state stop
	
      when (main_hv_switch)
      {
      } state start
   }

   state start
   {
      when(main_hv_switch)
      {
	    hi_volt=TRUE;
	    pvPut(hi_volt);
      } state stop
   }	
   
   state stop	
   {
      when(!main_hv_switch)
      {
	    hi_volt=FALSE;
	    pvPut(hi_volt);
      } state start

   }
}   
      
ss powerN_status
{
  state init
  {
     when(p2&&m2&&p5)
     {
        ladN_power_status=TRUE;
	pvPut(ladN_power_status);
     } state wait

     when((!p2)||(!m2)||(!p5))
     {
        ladN_power_status=FALSE;
	pvPut(ladN_power_status);
     } state wait
  } 

  state wait
  {
     when(delay(1))
     {
     }state init
  }

}

ss powerP_status
{
  state init
  {
     when(p2f&&m2f&&p5f)
     {
        ladP_power_status=TRUE;
	pvPut(ladP_power_status);
	delay(5);
     } state wait

     when((!p2f)||(!m2f)||(!p5f))
     {
        ladP_power_status=FALSE;
	pvPut(ladP_power_status);
	delay(5);
     } state wait
  } 

  state wait
  {
     when(delay(1))
     {
     } state init
  }
}
