#ifndef INCReadoutFPGAH
#define INCReadoutFPGAH
#include "epicsTypes.h"
#include "link.h"
#include "epicsMutex.h"
#include "ellLib.h"
#include "epicsTime.h"
typedef struct ReadoutFPGARecord {
	char		name[61];	/* Record Name */
	char		desc[41];	/* Descriptor */
	char		asg[29];	/* Access Security Group */
	epicsEnum16	scan;	/* Scan Mechanism */
	epicsEnum16	pini;	/* Process at iocInit */
	epicsInt16	phas;	/* Scan Phase */
	epicsInt16	evnt;	/* Event Number */
	epicsInt16	tse;	/* Time Stamp Event */
	DBLINK		tsel;	/* Time Stamp Link */
	epicsEnum16	dtyp;	/* Device Type */
	epicsInt16	disv;	/* Disable Value */
	epicsInt16	disa;	/* Disable */
	DBLINK		sdis;	/* Scanning Disable */
	epicsMutexId	mlok;	/* Monitor lock */
	ELLLIST		mlis;	/* Monitor List */
	epicsUInt8	disp;	/* Disable putField */
	epicsUInt8	proc;	/* Force Processing */
	epicsEnum16	stat;	/* Alarm Status */
	epicsEnum16	sevr;	/* Alarm Severity */
	epicsEnum16	nsta;	/* New Alarm Status */
	epicsEnum16	nsev;	/* New Alarm Severity */
	epicsEnum16	acks;	/* Alarm Ack Severity */
	epicsEnum16	ackt;	/* Alarm Ack Transient */
	epicsEnum16	diss;	/* Disable Alarm Sevrty */
	epicsUInt8	lcnt;	/* Lock Count */
	epicsUInt8	pact;	/* Record active */
	epicsUInt8	putf;	/* dbPutField process */
	epicsUInt8	rpro;	/* Reprocess  */
	struct asgMember *asp;	/* Access Security Pvt */
	struct putNotify *ppn;	/* addr of PUTNOTIFY */
	struct putNotifyRecord *ppnr;	/* pputNotifyRecord */
	struct scan_element *spvt;	/* Scan Private */
	struct rset	*rset;	/* Address of RSET */
	struct dset	*dset;	/* DSET address */
	void		*dpvt;	/* Device Private */
	struct dbRecordType *rdes;	/* Address of dbRecordType */
	struct lockRecord *lset;	/* Lock Set */
	epicsEnum16	prio;	/* Scheduling Priority */
	epicsUInt8	tpro;	/* Trace Processing */
	char bkpt;	/* Break Point */
	epicsUInt8	udf;	/* Undefined */
	epicsTimeStamp	time;	/* Time */
	DBLINK		flnk;	/* Forward Process Link */
	epicsEnum16	val;	/* Command */
	epicsInt16	rdnb;	/* Readout Board Number */
	epicsUInt8	btyp;	/* Board type */
	epicsUInt8	ver1;	/* FPGA Code version 1 */
	epicsUInt8	ver2;	/* FPGA Code version 2 */
	epicsUInt8	lmdy;	/* Last modif. day */
	epicsUInt8	lmmh;	/* Last modif. month */
	epicsUInt16	lmyr;	/* Last modif. year */
	epicsUInt8	tml1;	/* Transp. Mode ladder 1 */
	epicsUInt8	tml2;	/* Transp. Mode ladder 2 */
	epicsUInt8	pmen;	/* PM enable */
	epicsUInt8	pcen;	/* PC enable */
	epicsUInt8	phdl;	/* PM Hold Delay */
	epicsUInt8	l2ac;	/* L2 accept */
	epicsUInt8	fill;	/* Filling type */
	epicsUInt8	itxo;	/* Init TXO readout */
	epicsUInt8	thdl;	/* Trigger Hold Delay */
	epicsUInt8	cadl;	/* Calib Hold Delay */
	epicsUInt8	cfgn;	/* Configuration Number */
	epicsUInt8	trbb;	/* Trigger Busy Back */
	epicsUInt8	trsb;	/* Trigger Status Back */
	epicsUInt8	fets;	/* FE tdo sel */
	epicsUInt8	trck;	/* Trigger Clock ok */
	epicsEnum16	tcks;	/* Trg Clk Alarm Sever. */
	epicsUInt8	tmpv;	/* Temperature validity */
	epicsUInt16	tmp1;	/* Temperature 1 */
	epicsUInt16	tmp2;	/* Temperature 2 */
	epicsUInt8	talm;	/* Temperature Alarm */
	epicsEnum16	tals;	/* Temp. Alarm Sever. */
	epicsUInt8	dtsd;	/* Detector side(P or N) */
	epicsUInt8	gler;	/* Giga link error */
	epicsEnum16	glas;	/* G-link Alarm Sever. */
	epicsUInt8	luev;	/* Latchup Event */
	epicsUInt8	luct;	/* Latchup Counter */
	epicsEnum16	luas;	/* Latchup Alarm Sever. */
	epicsUInt8	rdlc;	/* ReadoutBoard location */
	epicsUInt16	fpst;	/* FPGA Program status */
	epicsUInt8	fpal;	/* FPGA Alarm */
	epicsEnum16	fpas;	/* FPGA Alarm Sever. */
	char		fpnm[32];	/* FPGA Program Name */
	char		fppt[96];	/* FPGA Program Path */
	epicsUInt32	jclk;	/* JTAG Clock Frequency */
	epicsUInt8	cxid;	/* Readout Board ID */
	epicsUInt16	nbev;	/* Number of events */
	epicsUInt8	rdpw;	/* Readout Power */
	epicsUInt8	c1pw;	/* Caen 1 Power */
	epicsUInt8	c2pw;	/* Caen 2 Power */
	epicsUInt8	itlk;	/* Interlock */
	char		ovar[16];	/* Optic emiter VAR */
	char		ofab[20];	/* Optic emiter FAB */
	epicsUInt16	neve;	/* Number of end events */
	epicsUInt16	neva;	/* Nb of abort events */
	char		dsta[16];	/* DAQ Status */
	epicsUInt8	togs;	/* Toggle side */
	epicsUInt8	hsca;	/* Hold Delay Scan */
	epicsUInt8	ped0;	/* Pedestal ladder 0 */
	epicsUInt8	ped1;	/* Pedestal ladder 1 */
	epicsUInt8	ped2;	/* Pedestal ladder 2 */
	epicsUInt8	ped3;	/* Pedestal ladder 3 */
	epicsUInt8	ped4;	/* Pedestal ladder 4 */
	epicsUInt8	ped5;	/* Pedestal ladder 5 */
	epicsUInt8	ped6;	/* Pedestal ladder 6 */
	epicsUInt8	ped7;	/* Pedestal ladder 7 */
	epicsUInt8	ped8;	/* Pedestal ladder 8 */
	epicsUInt8	ped9;	/* Pedestal ladder 9 */
	epicsUInt8	pclk;	/* FE Nb pre clock */
	epicsUInt8	tpos;	/* Trig pos mot */
} ReadoutFPGARecord;
#define ReadoutFPGARecordNAME	0
#define ReadoutFPGARecordDESC	1
#define ReadoutFPGARecordASG	2
#define ReadoutFPGARecordSCAN	3
#define ReadoutFPGARecordPINI	4
#define ReadoutFPGARecordPHAS	5
#define ReadoutFPGARecordEVNT	6
#define ReadoutFPGARecordTSE	7
#define ReadoutFPGARecordTSEL	8
#define ReadoutFPGARecordDTYP	9
#define ReadoutFPGARecordDISV	10
#define ReadoutFPGARecordDISA	11
#define ReadoutFPGARecordSDIS	12
#define ReadoutFPGARecordMLOK	13
#define ReadoutFPGARecordMLIS	14
#define ReadoutFPGARecordDISP	15
#define ReadoutFPGARecordPROC	16
#define ReadoutFPGARecordSTAT	17
#define ReadoutFPGARecordSEVR	18
#define ReadoutFPGARecordNSTA	19
#define ReadoutFPGARecordNSEV	20
#define ReadoutFPGARecordACKS	21
#define ReadoutFPGARecordACKT	22
#define ReadoutFPGARecordDISS	23
#define ReadoutFPGARecordLCNT	24
#define ReadoutFPGARecordPACT	25
#define ReadoutFPGARecordPUTF	26
#define ReadoutFPGARecordRPRO	27
#define ReadoutFPGARecordASP	28
#define ReadoutFPGARecordPPN	29
#define ReadoutFPGARecordPPNR	30
#define ReadoutFPGARecordSPVT	31
#define ReadoutFPGARecordRSET	32
#define ReadoutFPGARecordDSET	33
#define ReadoutFPGARecordDPVT	34
#define ReadoutFPGARecordRDES	35
#define ReadoutFPGARecordLSET	36
#define ReadoutFPGARecordPRIO	37
#define ReadoutFPGARecordTPRO	38
#define ReadoutFPGARecordBKPT	39
#define ReadoutFPGARecordUDF	40
#define ReadoutFPGARecordTIME	41
#define ReadoutFPGARecordFLNK	42
#define ReadoutFPGARecordVAL	43
#define ReadoutFPGARecordRDNB	44
#define ReadoutFPGARecordBTYP	45
#define ReadoutFPGARecordVER1	46
#define ReadoutFPGARecordVER2	47
#define ReadoutFPGARecordLMDY	48
#define ReadoutFPGARecordLMMH	49
#define ReadoutFPGARecordLMYR	50
#define ReadoutFPGARecordTML1	51
#define ReadoutFPGARecordTML2	52
#define ReadoutFPGARecordPMEN	53
#define ReadoutFPGARecordPCEN	54
#define ReadoutFPGARecordPHDL	55
#define ReadoutFPGARecordL2AC	56
#define ReadoutFPGARecordFILL	57
#define ReadoutFPGARecordITXO	58
#define ReadoutFPGARecordTHDL	59
#define ReadoutFPGARecordCADL	60
#define ReadoutFPGARecordCFGN	61
#define ReadoutFPGARecordTRBB	62
#define ReadoutFPGARecordTRSB	63
#define ReadoutFPGARecordFETS	64
#define ReadoutFPGARecordTRCK	65
#define ReadoutFPGARecordTCKS	66
#define ReadoutFPGARecordTMPV	67
#define ReadoutFPGARecordTMP1	68
#define ReadoutFPGARecordTMP2	69
#define ReadoutFPGARecordTALM	70
#define ReadoutFPGARecordTALS	71
#define ReadoutFPGARecordDTSD	72
#define ReadoutFPGARecordGLER	73
#define ReadoutFPGARecordGLAS	74
#define ReadoutFPGARecordLUEV	75
#define ReadoutFPGARecordLUCT	76
#define ReadoutFPGARecordLUAS	77
#define ReadoutFPGARecordRDLC	78
#define ReadoutFPGARecordFPST	79
#define ReadoutFPGARecordFPAL	80
#define ReadoutFPGARecordFPAS	81
#define ReadoutFPGARecordFPNM	82
#define ReadoutFPGARecordFPPT	83
#define ReadoutFPGARecordJCLK	84
#define ReadoutFPGARecordCXID	85
#define ReadoutFPGARecordNBEV	86
#define ReadoutFPGARecordRDPW	87
#define ReadoutFPGARecordC1PW	88
#define ReadoutFPGARecordC2PW	89
#define ReadoutFPGARecordITLK	90
#define ReadoutFPGARecordOVAR	91
#define ReadoutFPGARecordOFAB	92
#define ReadoutFPGARecordNEVE	93
#define ReadoutFPGARecordNEVA	94
#define ReadoutFPGARecordDSTA	95
#define ReadoutFPGARecordTOGS	96
#define ReadoutFPGARecordHSCA	97
#define ReadoutFPGARecordPED0	98
#define ReadoutFPGARecordPED1	99
#define ReadoutFPGARecordPED2	100
#define ReadoutFPGARecordPED3	101
#define ReadoutFPGARecordPED4	102
#define ReadoutFPGARecordPED5	103
#define ReadoutFPGARecordPED6	104
#define ReadoutFPGARecordPED7	105
#define ReadoutFPGARecordPED8	106
#define ReadoutFPGARecordPED9	107
#define ReadoutFPGARecordPCLK	108
#define ReadoutFPGARecordTPOS	109
#endif /*INCReadoutFPGAH*/
#ifdef GEN_SIZE_OFFSET
#ifdef __cplusplus
extern "C" {
#endif
#include <epicsExport.h>
static int ReadoutFPGARecordSizeOffset(dbRecordType *pdbRecordType)
{
    ReadoutFPGARecord *prec = 0;
  pdbRecordType->papFldDes[0]->size=sizeof(prec->name);
  pdbRecordType->papFldDes[0]->offset=(short)((char *)&prec->name - (char *)prec);
  pdbRecordType->papFldDes[1]->size=sizeof(prec->desc);
  pdbRecordType->papFldDes[1]->offset=(short)((char *)&prec->desc - (char *)prec);
  pdbRecordType->papFldDes[2]->size=sizeof(prec->asg);
  pdbRecordType->papFldDes[2]->offset=(short)((char *)&prec->asg - (char *)prec);
  pdbRecordType->papFldDes[3]->size=sizeof(prec->scan);
  pdbRecordType->papFldDes[3]->offset=(short)((char *)&prec->scan - (char *)prec);
  pdbRecordType->papFldDes[4]->size=sizeof(prec->pini);
  pdbRecordType->papFldDes[4]->offset=(short)((char *)&prec->pini - (char *)prec);
  pdbRecordType->papFldDes[5]->size=sizeof(prec->phas);
  pdbRecordType->papFldDes[5]->offset=(short)((char *)&prec->phas - (char *)prec);
  pdbRecordType->papFldDes[6]->size=sizeof(prec->evnt);
  pdbRecordType->papFldDes[6]->offset=(short)((char *)&prec->evnt - (char *)prec);
  pdbRecordType->papFldDes[7]->size=sizeof(prec->tse);
  pdbRecordType->papFldDes[7]->offset=(short)((char *)&prec->tse - (char *)prec);
  pdbRecordType->papFldDes[8]->size=sizeof(prec->tsel);
  pdbRecordType->papFldDes[8]->offset=(short)((char *)&prec->tsel - (char *)prec);
  pdbRecordType->papFldDes[9]->size=sizeof(prec->dtyp);
  pdbRecordType->papFldDes[9]->offset=(short)((char *)&prec->dtyp - (char *)prec);
  pdbRecordType->papFldDes[10]->size=sizeof(prec->disv);
  pdbRecordType->papFldDes[10]->offset=(short)((char *)&prec->disv - (char *)prec);
  pdbRecordType->papFldDes[11]->size=sizeof(prec->disa);
  pdbRecordType->papFldDes[11]->offset=(short)((char *)&prec->disa - (char *)prec);
  pdbRecordType->papFldDes[12]->size=sizeof(prec->sdis);
  pdbRecordType->papFldDes[12]->offset=(short)((char *)&prec->sdis - (char *)prec);
  pdbRecordType->papFldDes[13]->size=sizeof(prec->mlok);
  pdbRecordType->papFldDes[13]->offset=(short)((char *)&prec->mlok - (char *)prec);
  pdbRecordType->papFldDes[14]->size=sizeof(prec->mlis);
  pdbRecordType->papFldDes[14]->offset=(short)((char *)&prec->mlis - (char *)prec);
  pdbRecordType->papFldDes[15]->size=sizeof(prec->disp);
  pdbRecordType->papFldDes[15]->offset=(short)((char *)&prec->disp - (char *)prec);
  pdbRecordType->papFldDes[16]->size=sizeof(prec->proc);
  pdbRecordType->papFldDes[16]->offset=(short)((char *)&prec->proc - (char *)prec);
  pdbRecordType->papFldDes[17]->size=sizeof(prec->stat);
  pdbRecordType->papFldDes[17]->offset=(short)((char *)&prec->stat - (char *)prec);
  pdbRecordType->papFldDes[18]->size=sizeof(prec->sevr);
  pdbRecordType->papFldDes[18]->offset=(short)((char *)&prec->sevr - (char *)prec);
  pdbRecordType->papFldDes[19]->size=sizeof(prec->nsta);
  pdbRecordType->papFldDes[19]->offset=(short)((char *)&prec->nsta - (char *)prec);
  pdbRecordType->papFldDes[20]->size=sizeof(prec->nsev);
  pdbRecordType->papFldDes[20]->offset=(short)((char *)&prec->nsev - (char *)prec);
  pdbRecordType->papFldDes[21]->size=sizeof(prec->acks);
  pdbRecordType->papFldDes[21]->offset=(short)((char *)&prec->acks - (char *)prec);
  pdbRecordType->papFldDes[22]->size=sizeof(prec->ackt);
  pdbRecordType->papFldDes[22]->offset=(short)((char *)&prec->ackt - (char *)prec);
  pdbRecordType->papFldDes[23]->size=sizeof(prec->diss);
  pdbRecordType->papFldDes[23]->offset=(short)((char *)&prec->diss - (char *)prec);
  pdbRecordType->papFldDes[24]->size=sizeof(prec->lcnt);
  pdbRecordType->papFldDes[24]->offset=(short)((char *)&prec->lcnt - (char *)prec);
  pdbRecordType->papFldDes[25]->size=sizeof(prec->pact);
  pdbRecordType->papFldDes[25]->offset=(short)((char *)&prec->pact - (char *)prec);
  pdbRecordType->papFldDes[26]->size=sizeof(prec->putf);
  pdbRecordType->papFldDes[26]->offset=(short)((char *)&prec->putf - (char *)prec);
  pdbRecordType->papFldDes[27]->size=sizeof(prec->rpro);
  pdbRecordType->papFldDes[27]->offset=(short)((char *)&prec->rpro - (char *)prec);
  pdbRecordType->papFldDes[28]->size=sizeof(prec->asp);
  pdbRecordType->papFldDes[28]->offset=(short)((char *)&prec->asp - (char *)prec);
  pdbRecordType->papFldDes[29]->size=sizeof(prec->ppn);
  pdbRecordType->papFldDes[29]->offset=(short)((char *)&prec->ppn - (char *)prec);
  pdbRecordType->papFldDes[30]->size=sizeof(prec->ppnr);
  pdbRecordType->papFldDes[30]->offset=(short)((char *)&prec->ppnr - (char *)prec);
  pdbRecordType->papFldDes[31]->size=sizeof(prec->spvt);
  pdbRecordType->papFldDes[31]->offset=(short)((char *)&prec->spvt - (char *)prec);
  pdbRecordType->papFldDes[32]->size=sizeof(prec->rset);
  pdbRecordType->papFldDes[32]->offset=(short)((char *)&prec->rset - (char *)prec);
  pdbRecordType->papFldDes[33]->size=sizeof(prec->dset);
  pdbRecordType->papFldDes[33]->offset=(short)((char *)&prec->dset - (char *)prec);
  pdbRecordType->papFldDes[34]->size=sizeof(prec->dpvt);
  pdbRecordType->papFldDes[34]->offset=(short)((char *)&prec->dpvt - (char *)prec);
  pdbRecordType->papFldDes[35]->size=sizeof(prec->rdes);
  pdbRecordType->papFldDes[35]->offset=(short)((char *)&prec->rdes - (char *)prec);
  pdbRecordType->papFldDes[36]->size=sizeof(prec->lset);
  pdbRecordType->papFldDes[36]->offset=(short)((char *)&prec->lset - (char *)prec);
  pdbRecordType->papFldDes[37]->size=sizeof(prec->prio);
  pdbRecordType->papFldDes[37]->offset=(short)((char *)&prec->prio - (char *)prec);
  pdbRecordType->papFldDes[38]->size=sizeof(prec->tpro);
  pdbRecordType->papFldDes[38]->offset=(short)((char *)&prec->tpro - (char *)prec);
  pdbRecordType->papFldDes[39]->size=sizeof(prec->bkpt);
  pdbRecordType->papFldDes[39]->offset=(short)((char *)&prec->bkpt - (char *)prec);
  pdbRecordType->papFldDes[40]->size=sizeof(prec->udf);
  pdbRecordType->papFldDes[40]->offset=(short)((char *)&prec->udf - (char *)prec);
  pdbRecordType->papFldDes[41]->size=sizeof(prec->time);
  pdbRecordType->papFldDes[41]->offset=(short)((char *)&prec->time - (char *)prec);
  pdbRecordType->papFldDes[42]->size=sizeof(prec->flnk);
  pdbRecordType->papFldDes[42]->offset=(short)((char *)&prec->flnk - (char *)prec);
  pdbRecordType->papFldDes[43]->size=sizeof(prec->val);
  pdbRecordType->papFldDes[43]->offset=(short)((char *)&prec->val - (char *)prec);
  pdbRecordType->papFldDes[44]->size=sizeof(prec->rdnb);
  pdbRecordType->papFldDes[44]->offset=(short)((char *)&prec->rdnb - (char *)prec);
  pdbRecordType->papFldDes[45]->size=sizeof(prec->btyp);
  pdbRecordType->papFldDes[45]->offset=(short)((char *)&prec->btyp - (char *)prec);
  pdbRecordType->papFldDes[46]->size=sizeof(prec->ver1);
  pdbRecordType->papFldDes[46]->offset=(short)((char *)&prec->ver1 - (char *)prec);
  pdbRecordType->papFldDes[47]->size=sizeof(prec->ver2);
  pdbRecordType->papFldDes[47]->offset=(short)((char *)&prec->ver2 - (char *)prec);
  pdbRecordType->papFldDes[48]->size=sizeof(prec->lmdy);
  pdbRecordType->papFldDes[48]->offset=(short)((char *)&prec->lmdy - (char *)prec);
  pdbRecordType->papFldDes[49]->size=sizeof(prec->lmmh);
  pdbRecordType->papFldDes[49]->offset=(short)((char *)&prec->lmmh - (char *)prec);
  pdbRecordType->papFldDes[50]->size=sizeof(prec->lmyr);
  pdbRecordType->papFldDes[50]->offset=(short)((char *)&prec->lmyr - (char *)prec);
  pdbRecordType->papFldDes[51]->size=sizeof(prec->tml1);
  pdbRecordType->papFldDes[51]->offset=(short)((char *)&prec->tml1 - (char *)prec);
  pdbRecordType->papFldDes[52]->size=sizeof(prec->tml2);
  pdbRecordType->papFldDes[52]->offset=(short)((char *)&prec->tml2 - (char *)prec);
  pdbRecordType->papFldDes[53]->size=sizeof(prec->pmen);
  pdbRecordType->papFldDes[53]->offset=(short)((char *)&prec->pmen - (char *)prec);
  pdbRecordType->papFldDes[54]->size=sizeof(prec->pcen);
  pdbRecordType->papFldDes[54]->offset=(short)((char *)&prec->pcen - (char *)prec);
  pdbRecordType->papFldDes[55]->size=sizeof(prec->phdl);
  pdbRecordType->papFldDes[55]->offset=(short)((char *)&prec->phdl - (char *)prec);
  pdbRecordType->papFldDes[56]->size=sizeof(prec->l2ac);
  pdbRecordType->papFldDes[56]->offset=(short)((char *)&prec->l2ac - (char *)prec);
  pdbRecordType->papFldDes[57]->size=sizeof(prec->fill);
  pdbRecordType->papFldDes[57]->offset=(short)((char *)&prec->fill - (char *)prec);
  pdbRecordType->papFldDes[58]->size=sizeof(prec->itxo);
  pdbRecordType->papFldDes[58]->offset=(short)((char *)&prec->itxo - (char *)prec);
  pdbRecordType->papFldDes[59]->size=sizeof(prec->thdl);
  pdbRecordType->papFldDes[59]->offset=(short)((char *)&prec->thdl - (char *)prec);
  pdbRecordType->papFldDes[60]->size=sizeof(prec->cadl);
  pdbRecordType->papFldDes[60]->offset=(short)((char *)&prec->cadl - (char *)prec);
  pdbRecordType->papFldDes[61]->size=sizeof(prec->cfgn);
  pdbRecordType->papFldDes[61]->offset=(short)((char *)&prec->cfgn - (char *)prec);
  pdbRecordType->papFldDes[62]->size=sizeof(prec->trbb);
  pdbRecordType->papFldDes[62]->offset=(short)((char *)&prec->trbb - (char *)prec);
  pdbRecordType->papFldDes[63]->size=sizeof(prec->trsb);
  pdbRecordType->papFldDes[63]->offset=(short)((char *)&prec->trsb - (char *)prec);
  pdbRecordType->papFldDes[64]->size=sizeof(prec->fets);
  pdbRecordType->papFldDes[64]->offset=(short)((char *)&prec->fets - (char *)prec);
  pdbRecordType->papFldDes[65]->size=sizeof(prec->trck);
  pdbRecordType->papFldDes[65]->offset=(short)((char *)&prec->trck - (char *)prec);
  pdbRecordType->papFldDes[66]->size=sizeof(prec->tcks);
  pdbRecordType->papFldDes[66]->offset=(short)((char *)&prec->tcks - (char *)prec);
  pdbRecordType->papFldDes[67]->size=sizeof(prec->tmpv);
  pdbRecordType->papFldDes[67]->offset=(short)((char *)&prec->tmpv - (char *)prec);
  pdbRecordType->papFldDes[68]->size=sizeof(prec->tmp1);
  pdbRecordType->papFldDes[68]->offset=(short)((char *)&prec->tmp1 - (char *)prec);
  pdbRecordType->papFldDes[69]->size=sizeof(prec->tmp2);
  pdbRecordType->papFldDes[69]->offset=(short)((char *)&prec->tmp2 - (char *)prec);
  pdbRecordType->papFldDes[70]->size=sizeof(prec->talm);
  pdbRecordType->papFldDes[70]->offset=(short)((char *)&prec->talm - (char *)prec);
  pdbRecordType->papFldDes[71]->size=sizeof(prec->tals);
  pdbRecordType->papFldDes[71]->offset=(short)((char *)&prec->tals - (char *)prec);
  pdbRecordType->papFldDes[72]->size=sizeof(prec->dtsd);
  pdbRecordType->papFldDes[72]->offset=(short)((char *)&prec->dtsd - (char *)prec);
  pdbRecordType->papFldDes[73]->size=sizeof(prec->gler);
  pdbRecordType->papFldDes[73]->offset=(short)((char *)&prec->gler - (char *)prec);
  pdbRecordType->papFldDes[74]->size=sizeof(prec->glas);
  pdbRecordType->papFldDes[74]->offset=(short)((char *)&prec->glas - (char *)prec);
  pdbRecordType->papFldDes[75]->size=sizeof(prec->luev);
  pdbRecordType->papFldDes[75]->offset=(short)((char *)&prec->luev - (char *)prec);
  pdbRecordType->papFldDes[76]->size=sizeof(prec->luct);
  pdbRecordType->papFldDes[76]->offset=(short)((char *)&prec->luct - (char *)prec);
  pdbRecordType->papFldDes[77]->size=sizeof(prec->luas);
  pdbRecordType->papFldDes[77]->offset=(short)((char *)&prec->luas - (char *)prec);
  pdbRecordType->papFldDes[78]->size=sizeof(prec->rdlc);
  pdbRecordType->papFldDes[78]->offset=(short)((char *)&prec->rdlc - (char *)prec);
  pdbRecordType->papFldDes[79]->size=sizeof(prec->fpst);
  pdbRecordType->papFldDes[79]->offset=(short)((char *)&prec->fpst - (char *)prec);
  pdbRecordType->papFldDes[80]->size=sizeof(prec->fpal);
  pdbRecordType->papFldDes[80]->offset=(short)((char *)&prec->fpal - (char *)prec);
  pdbRecordType->papFldDes[81]->size=sizeof(prec->fpas);
  pdbRecordType->papFldDes[81]->offset=(short)((char *)&prec->fpas - (char *)prec);
  pdbRecordType->papFldDes[82]->size=sizeof(prec->fpnm);
  pdbRecordType->papFldDes[82]->offset=(short)((char *)&prec->fpnm - (char *)prec);
  pdbRecordType->papFldDes[83]->size=sizeof(prec->fppt);
  pdbRecordType->papFldDes[83]->offset=(short)((char *)&prec->fppt - (char *)prec);
  pdbRecordType->papFldDes[84]->size=sizeof(prec->jclk);
  pdbRecordType->papFldDes[84]->offset=(short)((char *)&prec->jclk - (char *)prec);
  pdbRecordType->papFldDes[85]->size=sizeof(prec->cxid);
  pdbRecordType->papFldDes[85]->offset=(short)((char *)&prec->cxid - (char *)prec);
  pdbRecordType->papFldDes[86]->size=sizeof(prec->nbev);
  pdbRecordType->papFldDes[86]->offset=(short)((char *)&prec->nbev - (char *)prec);
  pdbRecordType->papFldDes[87]->size=sizeof(prec->rdpw);
  pdbRecordType->papFldDes[87]->offset=(short)((char *)&prec->rdpw - (char *)prec);
  pdbRecordType->papFldDes[88]->size=sizeof(prec->c1pw);
  pdbRecordType->papFldDes[88]->offset=(short)((char *)&prec->c1pw - (char *)prec);
  pdbRecordType->papFldDes[89]->size=sizeof(prec->c2pw);
  pdbRecordType->papFldDes[89]->offset=(short)((char *)&prec->c2pw - (char *)prec);
  pdbRecordType->papFldDes[90]->size=sizeof(prec->itlk);
  pdbRecordType->papFldDes[90]->offset=(short)((char *)&prec->itlk - (char *)prec);
  pdbRecordType->papFldDes[91]->size=sizeof(prec->ovar);
  pdbRecordType->papFldDes[91]->offset=(short)((char *)&prec->ovar - (char *)prec);
  pdbRecordType->papFldDes[92]->size=sizeof(prec->ofab);
  pdbRecordType->papFldDes[92]->offset=(short)((char *)&prec->ofab - (char *)prec);
  pdbRecordType->papFldDes[93]->size=sizeof(prec->neve);
  pdbRecordType->papFldDes[93]->offset=(short)((char *)&prec->neve - (char *)prec);
  pdbRecordType->papFldDes[94]->size=sizeof(prec->neva);
  pdbRecordType->papFldDes[94]->offset=(short)((char *)&prec->neva - (char *)prec);
  pdbRecordType->papFldDes[95]->size=sizeof(prec->dsta);
  pdbRecordType->papFldDes[95]->offset=(short)((char *)&prec->dsta - (char *)prec);
  pdbRecordType->papFldDes[96]->size=sizeof(prec->togs);
  pdbRecordType->papFldDes[96]->offset=(short)((char *)&prec->togs - (char *)prec);
  pdbRecordType->papFldDes[97]->size=sizeof(prec->hsca);
  pdbRecordType->papFldDes[97]->offset=(short)((char *)&prec->hsca - (char *)prec);
  pdbRecordType->papFldDes[98]->size=sizeof(prec->ped0);
  pdbRecordType->papFldDes[98]->offset=(short)((char *)&prec->ped0 - (char *)prec);
  pdbRecordType->papFldDes[99]->size=sizeof(prec->ped1);
  pdbRecordType->papFldDes[99]->offset=(short)((char *)&prec->ped1 - (char *)prec);
  pdbRecordType->papFldDes[100]->size=sizeof(prec->ped2);
  pdbRecordType->papFldDes[100]->offset=(short)((char *)&prec->ped2 - (char *)prec);
  pdbRecordType->papFldDes[101]->size=sizeof(prec->ped3);
  pdbRecordType->papFldDes[101]->offset=(short)((char *)&prec->ped3 - (char *)prec);
  pdbRecordType->papFldDes[102]->size=sizeof(prec->ped4);
  pdbRecordType->papFldDes[102]->offset=(short)((char *)&prec->ped4 - (char *)prec);
  pdbRecordType->papFldDes[103]->size=sizeof(prec->ped5);
  pdbRecordType->papFldDes[103]->offset=(short)((char *)&prec->ped5 - (char *)prec);
  pdbRecordType->papFldDes[104]->size=sizeof(prec->ped6);
  pdbRecordType->papFldDes[104]->offset=(short)((char *)&prec->ped6 - (char *)prec);
  pdbRecordType->papFldDes[105]->size=sizeof(prec->ped7);
  pdbRecordType->papFldDes[105]->offset=(short)((char *)&prec->ped7 - (char *)prec);
  pdbRecordType->papFldDes[106]->size=sizeof(prec->ped8);
  pdbRecordType->papFldDes[106]->offset=(short)((char *)&prec->ped8 - (char *)prec);
  pdbRecordType->papFldDes[107]->size=sizeof(prec->ped9);
  pdbRecordType->papFldDes[107]->offset=(short)((char *)&prec->ped9 - (char *)prec);
  pdbRecordType->papFldDes[108]->size=sizeof(prec->pclk);
  pdbRecordType->papFldDes[108]->offset=(short)((char *)&prec->pclk - (char *)prec);
  pdbRecordType->papFldDes[109]->size=sizeof(prec->tpos);
  pdbRecordType->papFldDes[109]->offset=(short)((char *)&prec->tpos - (char *)prec);
    pdbRecordType->rec_size = sizeof(*prec);
    return(0);
}
epicsExportRegistrar(ReadoutFPGARecordSizeOffset);
#ifdef __cplusplus
}
#endif
#endif /*GEN_SIZE_OFFSET*/
